Integration, exposed

Weekly updates on what Moodle developers are doing.


Page: 1 2 ()
One poor developer...
Integration round 2016-06-16 - your sweet 16-6-16
Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

26 issues have been successfully integrated with 6 rejected and 6 delayed. That's 81% success, not bad after some weeks for many of them waiting frozen in the fridge!

Notes:

  • After 5 intense weeks of continuous integration and testing (1, 2), the 3.1 release and, finally, 3 weeks under on-sync... we are back to normal weeklies, yay!
  • All the frozen issues along those 8 weeks have been moved to integration and will be normally processed, hopefully without much delays, in a couple of weeks. Thanks all!
  • We really wanted to introduce the new eslint (JS lint / coding style) tool early in the cycle (MDL-52127), so it's already there, with both grunt and CiBoT using it for every master modification/patch out there. There is still some fine-tuning work in order to get the final rules applied (see MDL-54939, MDLSITE-4628...), but it's a step towards getting JS under control. Please be patient, it all should become final and documented really soon.
  • Last week was the due date for deciding about the next Moodle 3.2 requirements (to be released on November 2016) and, for it and upwards, we are moving to PHP 5.6.5 as minimum version supported. No changes in database versions neither extensions so far. Visit the issue (MDL-53019) for more details about the decision and linked information. The change implies that, in a couple of weeks, your (master) development and testing environments won't work anymore with PHP 5.4 and 5.5, be warned !
  • At the same time, the issue (MDL-54901) about deciding next-next requirements (Moodle 3.3, May 2017), has been created, we have 6 months to discuss and decide about it. You are welcome!

Hot topics:

  • MDL-54842: Fix html problems in the assignment grading page.
  • MDL-54837: Exception on manage tags page.
  • MDL-54562: Global search now supporting database activity area.
  • MDL-54797: Indexed deletion of completion criteria.
  • And lots more in areas like blogs, themes, quizzes, javascript...

Warm thanks:

  • To Helen Foster, because she checks all the language strings - and it takes hours - and it is something that nobody actually realises or appreciates - you just see the finished words and don't think about it. Not only because of that, but because of that too!

People think that computer science is

the art of geniuses but the actual reality

is the opposite, just many people doing things

that build on each other, like a wall of mini stones.

-- Donald Knuth

Dan at desk in Moodle HQ, Perth
Integration round 2016-05-03: Introducing Moodle 3.1 beta
Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers
Cold numbers: 

57 issues have been successfully integrated and 8 rejected since the start of freeze period - 86% success.

Notes:

  • We have just released Moodle 3.1 beta, signifying the point where we are feature complete for the upcoming release. We renew our focus on stabilising, testing and polishing to iron out any outstanding issues. If you maintain a Moodle site and are able to test Moodle 3.1 on a copy of that data, please give it a go and report any problems experienced in the tracker.
  • QA Testing of Moodle 3.1 is progressing well, with 85% of tests passed so far
  • Be aware that some deprecated web-services have been removed in 3.1 MDL-49414
  • Server requirements for 3.2 are being defined in MDL-53019 - please add your views to that issue before discussion closes at the end of the month
Hot topics:

  • MDL-53738 - Feedback module enabled by default
  • MDL-52035 - LTI Provider added support in Moodle
  • MDL-51142 - "Login as" no longer modifies assignment submission status
  • MDL-52550 - Unable to drag-n-drop an image into Atto in IE

Warm thanks:

To Michael de Raadt who recently left Moodle HQ after many years with us - thanks for everything!
One poor developer...
Integration round 2016-04-22 - into the development(al) continuum
Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

33 issues have been successfully integrated with 3 rejected and 10 delayed. That's 92% success, beautiful one!

Notes:

  • Given the size and complexity of issues landing last week we had to delay a number of them (10) for this week. Aiming to kill (in the good way) all them ASAP. Thanks for your patience!
  • From now on we are in the continuous integration period, trying to release as often as possible and with some strict rules about holding improvements and new features that did not pass the freeze barrier.
  • Moodle 3.1 QA testing round will start this week and, as far as we are not feature complete yet, some of the tests will be held and executed later. Also, it's possible that other tests will need to be executed twice, once various adjustments to features are performed.
  • Please, be aggressive labeling the issues you are working on. Having them properly set (docs_required, dev_docs_required, api_change, release_notes, ui_change...) really helps to have the documentation updated and on time for release. Specially call for the last one, ui_change, because usually it involves reviewing both screenshots and videos, a great deal of effort. Of course, everybody is welcome to collaborate, you know the motto, "it's a wiki!".

Hot topics:

  • MDL-53451: CBE has been integrated into core.
  • MDL-52954: Improvements to the assignments grading interface.
  • MDL-53772: Problems with contexts and validate_context() fixed.
  • MDL-52781: Centralized way to validate/clean user information.
  • MDL-51603: New dataformat plugin type to improve exporting of information.
  • And lots more in areas like forums, assignments, web services, usability, global search...

Warm thanks:

  • To the iTeam, because we are about to start a period that requires the best from all us (patience, attention, wide thinking...) and they deserve these thanks and more. Go, go, go, Andrew, Dan, David and Rajesh, we can!

Everybody else specializes.

Daddy knows everything,

and he puts the pieces together.

-- Robert A. Heinlein

One poor developer...
Integration round 2016-04-15 - feel the cold... almost frozen!
Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

20 issues have been successfully integrated with 6 rejected and 1 delayed. That's 77% success, twice my favorite number, heh!

Notes:

  • Countdown: 5 weeks for 3.1 release, and code freeze is next Monday 14:00h, Perth/Australia time.
  • Once freeze is in effect, any improvement or new feature will be labelled as "integration_held" and those issues won't be considered till some weeks after release. No matter of that there is a last chance of having those issues re-considered for integration by labelling them as "unhold_requested". Development managers will review all those requests and decide if they are accepted for 3.1 or finally held.
  • There are 26 issues awaiting peer-review. How many of them will find their way before freeze?
  • Please, try not comment into closed issues, at least without creating a new issue as followup. Closed issues are rarely followed and it's highly possible to get those comments lost/ignored. If there is any objection, problem, regression... please create new issues always.

Hot topics:

  • MDL-45064: LTI preconfigured activities can be picked in the activity chooser.
  • MDL-45064: Allow multiple areas to be filtered on search.
  • MDL-52707: Allow tags to be combined.
  • MDL-53440: Better workflow for accepting multiple courses.
  • MDL-53440: New options added to external_format_text()
  • And lots more in areas like web services, tags, courses, wiki...

Warm thanks:

  • To The Nothing, mainly because today I feel myself inspired enough to be original. Maybe also coz that is my brain content lately, who knows. LOL. Thanks!

If builders built buildings the way

programmers built programs,

then the first woodpecker that came along

would destroy civilization.

-- Gerald Weinberg

Dan at desk in Moodle HQ, Perth
Integration round 2016-04-07 - Warmer than expected
Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers
Cold numbers: 

31 issues have been successfully integrated, 2 rejected and 3 delayed - 94% success.

Notes:

Hot topics:

  • MDL-17955 - Forum timed posts no longer marked as experimental
  • MDL-43470 - Unable to select multiple values while mapping site-wide feedback to courses
  • MDL-53612 - Book chapters added to global search
  • MDL-53461 - Intro images are not shown in the mobile app
  • MDL-53500 - User Complete/Outline report will not show activities with "view" capability to parent role

Warm thanks:

To Jun Pataleta for many bug fixes, peer reviews and guiding this integrator to his home!

One poor developer...
Integration round 2016-03-24 - right after the equinox
Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

53 issues have been successfully integrated with 5 rejected and 1 delayed. That's 91% success, good one!

Notes:

  • Countdown: 6 weeks for 3.1 release, 1 week for code freeze.
  • There are 25 issues awaiting peer-review. Nice reduction from previous week, well done!
  • A new version of the codechecker has been released fixing some indentation problems. Still, it seems that there are some remaining problems with multi-line statements mixed with arrays. Be warned, you'll get them in your reports!
  • Days are now longer than nights here in the north hemisphere. I hate that!

Hot topics:

  • MDL-53509: Problems fixed on digest mails.
  • MDL-51867: Any plugin can declare its use of scales.
  • MDL-52952: Prevent (incorrect) password auto-filling to happen.
  • MDL-48012: Recycle bin plugin added to 3.1.
  • MDL-52207: Zend framework has been completely removed from core.
  • And lots more in areas like quizzes, web services, many core libraries updated, javascript, messaging...

Warm thanks:

  • To All Men, from planet Earth. And specifically to those being genuine moodlers. Undoubtedly less brilliant than previous integration exposed counterparts but... still... big, big thanks too!

Nine people can’t make a baby in a month.

-- Fred Brooks

One poor developer...
Integration round 2016-03-17 - Pay one, get two
Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

The week of March 7th 40 issues have been successfully integrated with 3 rejected and 15 delayed. That's 93% success, nice one!

The week of March 14th 29 issues have been successfully integrated with 7 rejected and 1 delayed. Nicely we were able to integrate all the delayed issues in the previous week.

Notes:

  • With minor stables released last week, the next big milestone is the release of Moodle 3.1 in less than 2 months (May 9th). That's only 7 weeks away.
  • 7 minus 5 = 2 weeks for major release code freeze, in 3 weeks the QA testing process will kick off and everybody will be crazily busy. So get some air, relax a bit and get ready!
  • There are 58 issues awaiting peer-review. Any help is welcome there, at least to be able to verify that nothing important misses the train!
  • Looking forward Moodle 3.2 requirements are now under discussion and final decision will also happen also in May (3 weeks after release). Ideas welcome!
  • Big issues covering the major features planned for 3.1 (CBE, LTI sweeties smile, Assignment grading UI...), are slowly landing to integration. We'll try our best, aiming to generate feedback as soon as possible. Please, be patient!

Hot topics:

  • MDL-53273, MDL-53247, MDL-53354 ...: Various fixes and improvements to the global search feature are happening at a quick pace.
  • MDL-46891: Upgrade to Behat 3.0, yay!
  • MDL-53010: Fixed problem editing roles.
  • MDL-53176: Improvements to grade history report backported to stables.
  • MDL-50032: External functions self-registration into services.
  • And lots more in areas like web services, gradebook, access, repositories, quiz and questions... awesome work!

Warm thanks:

  • To All Women, from planet Earth. And specifically to those being genuine moodlers. No justification needed, no words required. Just big, big, thanks!

In true open source development, there's lots of visibility

all the way through the development process.

-- Brian Behlendorf

Dan at desk in Moodle HQ, Perth
Integration exposed 2016-03-04: Pom @ UTC+8
Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers: 

39 issues have been successfully integrated, 0 rejected and 2 delayed - 100% success, a rare event in normal weeklies!

Notes:

  • We are hoping to land Behat 3 next week in MDL-46891 after a significant amount of work, we are aiming to keep backwards compatibility whilst hopefully moving Moodle towards a better BDD approach which the behat project are encouraging
  • Global search has landed to Moodle and evolvments continue - See MDL-31989 for discussions on adding a local database engine and if you have a add-on it might be a great time to try and implement global search for your plugin
  • Freeze fast approaches for 3.1 release, get your code finalised for review soon!


Hot topics:

  • MDL-52397 - Assign feedback not sent if assign grade timemodified is set two days ago
  • MDL-30811 - Introduce notification stack to moodle sessions
  • MDL-50887 - New antivirus plugin type
  • MDL-50794 - Restricting file types as attachments to a workshop

Warm thanks:
To Russell Smith for numerous deep dives into the MUC and finding extremely valuable improvements in performance. Many thanks!

(Editado por Eloy Lafuente (stronk7) - envío original viernes, 4 de marzo de 2016, 8:57 ), fixing links to Tracker, thanks JH

Picture of Andrew Nicols
Integration exposed 2016-02-25: Post project week
Group Core developersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

19 issues have been successfully integrated with 4 rejected - 83% success!

Notes:

  • The next point release is scheduled for Monday 14th March. If you have peer reviewed issues awaiting your feedback, or other issues close to completion, you may want to spend a bit of time on them this coming week. The last integration cycle before the release starts on the 7th March and all issues must be up for integration review before 6am UTC.
  • Are you still using the legacy log store? Support for writing to that store has now been deprecated. See MDL-45104 for more information.
  • Having trouble running behat after upgrading Firefox? Please make sure that you upgrade Selenium too. Recent updates in Firefox have broken compatibility.
  • Keen to see mod_feedback come out of experimental? The issues currently preventing this are being brought together in MDL-52094.
  • The details of a number of new features have recently been posted in the Future major features forum. You may want to have a look and see what may be heading your way in the near future. Recent topics include Competency Based Education, User disguises, Assignment Grading UXDisplaying information to users on redirect, and Navigation overhaul.
  • The much anticipated Global Search feature landed in master this week. Developer documentation will be arriving soon so keep an eye out for updates.

Hot topics:

  • MDL-31989 - Global Search
  • MDL-53081 - Review and improve the txt files in the moodle.git root
  • MDL-52958 - Vimeo fullscreen
  • MDL-53071 - Unable to use a space as section name to have a section without a header
  • MDL-52970 - Failures with Selenium 2.50.1, FF 44.0

Warm thanks:

To Jean-Michel Védrine, who has contributed a number of plugins over his many years working with Moodle, has mentored in several Google Summer of Codes, and has been a Particularly Helpful Moodler for a number of years too. Jean-Michel has indicated that he will be ending his teacher career in the coming months. We wish him every success in the future and hope that he continues his Moodling smile

(Edited by Dan Poltawski to correct point release date - original submission Friday, 26 February 2016, 5:22 AM)

Dan at desk in Moodle HQ, Perth
Integration exposed 2016-02-18: Busy bees
Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

40 issues have been succesfully integrated and 3 rejected - 93% success!.

Notes:

  • Do you use web services? Now would be a great time to test your integration against Moodle 3.1dev (master). The XMLRPC and SOAP protocols have been changed internally and would benefit from wider community testing for compatibility. The AMF protocol has been removed. (see MDL-52208 MDL-52209 MDL-52210)
  • Interested in Moodle platform requirements? Discussion for raising the system requirements for Moodle 3.2 is now open. Raising the minimum version of PHP from 5.4.4 is the likely hot topic. Please comment on MDL-53019 if you want to see us change the requirements (or keep them the same). We will close the discussion for comments on 30/05/2016.
  • CiBot has had an upgrade! The Moodle Code checker has been upgraded from the 1.x series to phpcs to 2.5.1+  (CONTRIB-5732). This new release allows type hinting and the ability skip warnings. Though some 

    indentation problems have been detected and the fix is  ongoing in CONTRIB-6146
  • Increasing unit-test platform coverage... Investigations are ongoing in doing CI testing on Microsoft platforms using Appveyor. When combined with Travis-CI this would enable developer branches to be pre-checked against all DB engines but Oracle. See MDL-53136 for details.
  • Did you miss yesterday's general developer meeting?  The recording is now available on youtube and features Competency based education, User interface & usability and Mobile and integration. See

Hot topics:

  • MDL-28030 - Add config.php settings to allow plugins to rewrite output moodle_urls (eg clean / semantic urls)
  • MDL-51214 - Rename the News forum to "Announcements"
  • MDL-52511 - Add support for PostgreSQL 9.5
  • MDL-48634 - Gradebook: Add option to rescale existing grades when changing max points
  • MDL-34160 - Allow forum email subject to be customised
  • MDL-52387 - LDAP support for Fine Grained Password Policies
  • MDL-52414 - Allow Default Settings for Lesson Module Settings
  • MDL-52990 - Templates to allow forum emails to be customised 
  • MDL-51802 - Reusable element for inline name editing
  • MDL-53012 - Behat: Add step to run scheduled task

Warm thanks:

To Dani Palou, Moodle Mobile team member for hard work on our mobile app and improving our core web services, thanks!

Picture of David Monllaó
Integration exposed 2016-02-16: eh eh eh eh
Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

23 issues have been successfully integrated, 2 rejected and delayed - 92% success.


Notes:

  • You probably have seen comments from CiBoT in tracker issues, it helps us during development and during code reviews as we can easily detect issues in patches submitted for review, but until now it didn't report unit test results, now it does it through Travis CI integration. More info in MDLSITE-4414 and MDLSITE-4409
  • Moodle 3.1 system requirements will be pushed for integration next week (actually this week because this is last week's integration exposed post) Moodle 2.7 will be required to upgrade to Moodle 3.1, if you are using a lower version you can always upgrade to 2.7 and later to 3.1. More info in MDL-51580


Hot topics:

  • MDL-51306: Bulk download all files within a folder activity as ZIP file
  • MDL-52637: Connection to SMTP mail not working with Moodle 3.0 (result of phpmailer update)
  • MDL-51723: Users are unenrolled on login under LDAP auth with Active Directory
  • MDL-52930: mod_forum: Fix get_unmailed_posts logic for timed posts


Warm thanks:

To Brendan Heywood, for being very active this last months and for pushing for MDL-28030. Many thanks.

Picture of David Monllaó
Integration round 2016-02-05: CBE prototype available
Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

15 issues have been successfully integrated, 4 rejected and 1 delayed - 78.95% success.

Notes:

  • We have a new great prototype in http://prototype.moodle.net/ It is Competence Based Education. Thanks to Damyon, Fred, Université de Montréal and all the other people involved in the specs and development.
  • Grunt watch is your new friend for Moodle development, you can run grunt watch from CLI and it will wait for you to save any less or JS file and autocompile CSS, YUI modules or AMD modules for you (MDL-49817) Remember to update your dependencies before running it: npm install
  • New tags stuff landed in master thanks to Marina, now you can limit a tags area to standard (previously official) tags; 3.1 will be a good release for people using tags component

Hot topics:

  • MDL-52715: Create a new requires class for implementing mforms in AJAX.
  • MDL-51283: Rename "official" tags to "standard", allow admin to set for each tag area how to use standard tags
  • MDL-45740: Adding new events - Choice module
  • MDL-49817: Development - Watch for JS/LESS changes and compile once a file is saved
  • MDL-52831: Moodle allows to register with empty name and then deletes the account silently
  • MDL-52137: Forum digest emails contain incorrect links and duplicated information

Warm thanks:

To Dan Poltawski, for being always there, helping everywhere and everybody.

Dan at desk in Moodle HQ, Perth
Integration round 2016-01-29: first of 2016
Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

20 issues have been succesfully integrated, 7 rejected and 1 delayed - 74% success.

Notes:

Hot topics:

  • MDL-31635 - Course completion "grade" criteria assume all grades are percentages
  • MDL-51702 - Cannot assign roles to blocks in indexsys.php (default Dashboard or My page)
  • MDL-52780 - Better email debugging with X-Moodle-Originating-Script header
  • MDL-52839 - Some scenarios failing on Selenium 2.49

Warm thanks:

To Paul Nicholls for many great plugins and contributions to Moodle core - thanks!

Dan at desk in Moodle HQ, Perth
Integration round 2015-12-23: Merry Christmas
Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

35 issues have been successfully integrated, 3 rejected and 4 delayed. That is 92% success, great!

Notes:

Back to a normal week of integration after last weeks' Moodle 3.0 sprint and we even managed to get the week finished off on Wednesday - thanks to all for a smooth week of integration! 

Please note that from this week, our npm configuration for installing grunt depdencies switched to use 'shrinkwrap' to lock depdencies down better (resolving various problems). Developers using very old versions of npm may need to upgrade (MDL-52250).

Hot Topics:

MDL-45712 - Add Result field to the SCORM Interactions Report

MDL-52334 - Regression in login performance with enrol_database

MDL-23128 - Prevent dvips from cluttering in the error log when using TeX filter

MDL-52402 - Problems restoring quiz attempt logs

MDL-52558 - Data generator enrol_user should let you specify role shortname


Warm Thanks:

To our entire community! Let me take this opportunity to wish Merry Christmas to you from all at Moodle HQ smile

 祝圣诞节快乐

Dan

Dan at desk in Moodle HQ, Perth
Integration round 2015-12-18: the force awakens
Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

19 issues have been successfully integrated, 221 QA tests passed, 18,000+ behat scenarios ran and 148,140 unit test combinations completed! Busy week!

Notes:

A weekly release has of Moodle 3.0+ has just arrived into moodle.git and the official release of Moodle 3.0.1 will arrive very shortly with PHP 7.0 supported! As is usual, Moodle administrators should use caution and testing to ensure that their installation will continue to operate on PHP7, be aware that this PHP release is very young. In particularly some known issues:

  • The Microsoft SQL Server PHP drivers are not currently available for PHP7.  The mssql driver (used on non-windows platforms) is removed from PHP7 and the sqlsrv driver (windows only) is still in development. Sites which operate on SQL server or connect to it via the auth_db plugin or enrol_db plugin should not upgrade.
  • The Oracle PHP driver is known to buggy and segfaults in some circumstances, we are continuing investigate and isolate this in MDL-52544 and report this to the maintainers. Again sites installed on Oracle or using auth_db/enrol_db should not upgrade.
  • Add-on plugins may not be working on PHP7 and will need developers to test and upgrade their code to be compatible. A guide in developer docs is a starting point for developers looking to upgrade their plugins: Moodle_and_PHP7 
Warm Thanks:

To Rajesh Taneja for coordinating our testing efforts at Moodle HQ, both automated and human - its often chaotic and demanding and we couldn't do it without you! 

Dan at desk in Moodle HQ, Perth
Integration round 2015-12-09: PHP 7.0 incoming!
Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

15 issues have been successfully integrated, with 7 rejected and 8 delayed. That is 68% success, not as great as we'd like, but it was also was an intentionally small round in order to facilitate next weeks work..

Notes:

  • While we've known about the benefits of Moodle on PHP 7.0 for some time, the release last week prompted more discussions and a bold plan was drawn up to move towards MOODLE_30_STABLE (and later) supported on PHP 7.0 asap. For the next week we will be concentrating solely on achieving PHP 7.0 support on Moodle 3.0 and will aim to release Moodle 3.0.1 shortly after. 
  • A result of our php7 sprint is that this weeks integration round was a small one and next week we will only be integrating php 7 related changes. We thank you for your patience during this time, but it seems clear there is a lot of community appetite to get the benefits of Moodle on PHP7 sooner rather than later. smile

Hot Topics:

  • MDL-51582 - Grunt is now used to compile less into CSS
  • MDL-52209 - New XML-RPC web service implementation
  • MDL-51483 - Inserting media in assignment via "online text" causes page to cease loading
  • MDL-52304 - Shockwave Flash media player fullscreen doesn't work

Warm Thanks:

To Tony Levi for his pioneering work on php7 support and Marina Glancy for working hard to push it through to achieve this in the coming days.

One poor developer...
Integration round 2015-12-04 - Time to decide, time!
Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

36 issues have been successfully integrated with 13 rejected and 4 delayed. That's 73% success, far from perfect, but expected after the long frozen period, with lots of issues being (always controversial) new features.

Notes:

  • We are back to normal integration, with all the held issues over the last weeks being processed as quickly as possible. Special thanks to Andrew, David, Dan and Rajesh (iTeam) for the extra effort this week. Luckily in only happens twice every year!
  • There are 43 issues awaiting peer-review. We should be able to reduce it over the next weeks. Can you imagine a zero-pending Xmas present?
  • Voting is open about Moodle 3.1 requirements. It's now or never. Note that, immediately after that one is decided, the corresponding issue for Moodle 3.2 will be created and all remaining details will be moved there, with (near) six months to discuss about it.
  • We are moving, for 29_STABLE and up, from recess to grunt to compile less style-sheets. So, once it's landed... everybody should be using it for submitted patches. All checks (CiBoT, post-commit jobs...) will, automatically, start to use it too.
  • Open for discussion, MDLSITE-2132 and linked issues to complete the wrapping rules once and forever.
  • The Prepare Moodle for PHP7 Epic is advancing pretty well (PHP 7.0.0 has been just released!), aiming to get it completed asap.

Hot topics:

  • MDL-52260: Problem editing profile having locked profile fields.
  • MDL-44598: List students in assignment "grant extension" page.
  • MDL-50661: Smaller logo to be shown (opt-in) in all pages.
  • MDL-51700: Better cleaning of AJAX returned values from external functions.
  • MDL-26935: New capability to control role renaming in courses.
  • And lots more in areas like web services, acceptance tests, usability, plagiarism, files API...

Warm thanks:

  • To CiBoT, from the Public Moodle CI Server, for helping us everywhere, anytime. Tirelessly and efficiently performing all those loved (hated anyone?) reviews and also supporting a good number of automations in the Tracker. Thanks!

Drinking a cup of coffee with your eyes closed

isn't a sophisticated task for a person,

but it's hard for a robot.

-- Vijay Kumar

Edited: To fix some incorrect links, thanks Marcus for warning me!

Picture of David Monllaó
Integration round 2015-11-26 - No more on-sync
Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

29 issues have been integrated with 6 rejected and 1 delayed, 83% success.

Notes:

  • This has been the last on-sync week. We have been keeping 3.0 and master (almost) exactly the same; more info in https://docs.moodle.org/dev/Integration_Review#On-sync_period
  • On-sync period is now over and we will start processing all issues that were held since Moodle 3.0 code freeze, new features will start landing in master branch (3.1dev) along the next week. Thanks for your patience.
  • Moodle 3.1 requirements should be decided by 30 Nov (next Monday) now is a good moment to comment: MDL-51580

Hot topics:

  • MDL-52291: Table "qtype_multichoice_options" does not exist!!! Upgrading from 2.4.10 to 3.0
  • MDL-52162: Upgrade to 3.0 through the browser fails: class question_graded_automatically not found
  • MDL-52203: Error upgrading multianswer question to 3.0
  • MDL-52214: is_web_crawler deprecated function not pointing correctly to the core_useragent alternative
  • MDL-44330: Assignment opens up the "wrong" student grading form
  • MDL-37834: Can't use Excel to edit the assignment Offline grading worksheet
  • MDL-43069: "Submission comments" fail to expand if you hide the "file submissions" column

Warm thanks:

To Howard Miller, a Moodle legend, super long-time particularly helpful Moodler, with over 12000 forum posts and Moodle in English forum moderator. Thank you very much!

Picture of David Monllaó
Integration round 2015-11-13 - master is Moodle 3.1dev
Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers
Cold numbers:

83 issues have been integrated with 10 rejected - 89.25% success.

Notes:

  • After 4 Release Candidates Moodle 3.0 has been released, congratulations and thanks to everyone that contributed reporting, triaging, developing, reviewing and testing issues. Moodle 3.1 planning already started in Moodle HQ
  • In integration we start on-sync period this week, improvements and new features for Moodle 3.1 are held until this period is over. Thanks for your patience
  • According to https://docs.moodle.org/dev/Release_process#3_weeks_after in 2 weeks we should decide Moodle 3.1 requirements, you can comment on MDL-51580
  • We published here the results of all Moodle 3.0rc3 unit tests (around 65000 assertions) and acceptance tests (around 40000 steps) in all supported browsers and operative systems

Hot topics: 

  • MDL-51880 - Minor issues with Atto's table setting
  • MDL-40245 - Creating the zip file when downloading all assignment submissions fails due to 30 second execution time out. 
  • MDL-51552 - Single View" bulk insert for empty grades overwrites non-empty grades
  • MDL-49473 - Export Logs does not contain year
  • MDL-51482 - Unnecessary updates of lastinvalidation cache entries
  • MDL-51314 - Performance problem on "view/grade all submissions" when groups enabled
  • MDL-51922 - Add memcached + mongo testing to travis
  • Many other fixes in atto editor, assignment module, themes, gradebook...

Warm thanks:

Germán Valero for his continuous support with languages and Moodle Docs, specially the Spanish ones.

Dan at desk in Moodle HQ, Perth
Integration round 2015-10-23 - Introducing Moodle 3.0 beta
Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

75 issues have been succesfully integrated, with 15 rejected  - 83% success.

Notes:

  • Today we released Moodle 3.0beta, marking a point where we are feature complete for the upcoming release. Work continues to test and fix any outstanding issues before the final release date. Please help us make the most stable release yet by testing on a copy of your production data.
  • A number of issues which are of relevance to developers landed recently:
    • Travis config which can be enabled on developer clones of moodle.git to facilitate pre-checking in various environments. See https://docs.moodle.org/dev/Travis_Integration
    • Backup and restore for new-style events is now supported MDL-46455
    • Multiple improvements to the plugins installer including dependency installation mean that this is a great time to get your plugin dependencies configured in version.php MDL-49329

Hot topics:

  • MDL-45515 - Table editing features missing in Atto editor
  • MDL-46455 - Backup and restore of new events
  • MDL-38214 - Add MCS, MCVS, MCHS Cloze subquestion types
  • MDL-49682 - Forum email template is not editable
  • MDL-30674 - Set guest access key from enrolment methods page
  • MDL-40836 - File resource: Option to display uploaded date
  • MDL-49329 - Plugins installation improvements

Warm thanks:

To Ryan Wyllie - for getting stuck in here, there and everywhere and making Moodle better - thanks!

Dan at desk in Moodle HQ, Perth
Integration round 2015-10-08 - Libraries go bump
Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

55 issues have been succesfully integrated, with 17 rejected  - 76% success.

Notes:

As planned, we are now frozen from new features landing until development opens for Moodle 3.1 (planned 7th December 2015). Now we focus on polishing Moodle 3.0 for release. It seems a long way a way when you look at it from today but it soon passes. This period usually is one of the busiest of the cycle and helps us ready our documentation, testing and so on. Interesting previous discussion on this topic: Do you find the code freeze/on-sync period problematic?

Please feel free to continue to submit your new features and improvements for integration during this time - your issue will be tagged as held but will not be forgotten about. (And of course, some things may be allowed to break freeze in exceptional circumstances). 

Hot topics:

  • The majority of third party libraries included in Moodle got a bump this week
  • MDL-49028 - wiki reset now allows pages to be deleted
  • MDL-41042 - Course contacts shown in course listings no longer take time to update
  • MDL-44707 - When customizing my homepage, block files are now copied over

Warm thanks:

Stasia Telford - one of the many behind the scenes team here at Moodle HQ working hard to make sure that things run smoothly and that we can focus on improving Moodle - thanks!

cheers,

Dan

Dan at desk in Moodle HQ, Perth
Integration round 2015-10-02 - Revving our engines for 3.0
Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

28 issues have been succesfully integrated, with 8 rejected and 5 delayed - 75% success.

Notes:

On Monday we begin code freeze for Moodle 3.0, so if you want your New feature or improvement to make it into 3.0, get your issue peer reviewed and submitted to integration quickly, the must be 'Waiting for Integration' before Monday morning (UTC).

With code freeze comes the change to our integration schedule, see the documentation on the continuous period to understand what happens in the next month. The key thing is that we will be aiming to release more frequently and prioritise issues affects Moodle 3.0 release.

Note that normal bug fixes can continue to land during the freeze period, its just new features and improvements which are held.

Hot topics:

MDL-50658 - Support for LTI Memberships service

MDL-48947 - Section actions put into menu like activities

MDL-51498 - Critical performance issue in gradebook fixed

MDL-9070 - Forum timed posts: display period now displayed 

MDL-51390 - Badges can once again be added to mozilla backpack

Warm thanks:

To Mark Nielsen - a veteran of the Moodle community, for many bug fixes, looking after mod_lesson for a while and all your contributions over the years - thanks!

beijos,

Dan

One poor developer...
Integration round 2015-09-24 - and the bloody tetrad is almost done
Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

29 issues have been successfully integrated with 3 rejected and 4 delayed. That's 91% success, good one!

Notes:

  • There are 23 issues awaiting peer-review.
  • We are just one week away from Moodle 3.0 code freeze, when normal integration cycles do change noticeably and two before QA's kick off!
  • The OU's drag and drop question types did land this week to Moodle. Congratulations to everybody that helped building, reviewing, reporting, suggesting... to make those questions better and better along the years.
  • Backup & restore of new log stores seem to be be ready for integration. Great news! And thanks for all the hard work, iterations… till getting it done! Any help testing that stuff will be really welcome!

Hot topics:

  • MDL-50917: Managers can access to user preferences.
  • MDL-50332: Clarify message when enrollment instances do reach their max number of users.
  • MDL-51190: Improve MS Edge support when embedding PDF documents.
  • MDL-51431: Fix enrollments start date using the "flatfile" plugin.
  • And many more in areas like web services, javascript, database activity, workshop...

Warm thanks:

  • To Tim Hunt, from the Open University, UK., for helping people everywhere, all the time - forums on moodle.org, writing docs, and even helping someone to contribute a translation. Development aside, you know. Googolplexian thanks!

[...] Work transforms talent into genius.

-- Anna Pavlova

One poor developer...
Integration round 2015-09-18 - when the net go nuts
Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

46 issues have been successfully integrated with 2 rejected and 2 delayed. That's 96% success, wowowow!

Notes:

  • It seems that this week we were finally able to catch up with delayed issues from last weeks, great work Andrew and David.
  • There are 32 issues awaiting peer-review, same than 1 week ago... balanced, yes... but would be so great to get the list reduced before freeze... come on!
  • We are just two weeks away from Moodle 3.0 code freeze!
  • There are some important issues that we should be resolving ASAP:
    • MDL-49398: Accesslib role definitions cached. Lacking some serious big testing... hope it does not end missing the train for 3.0.
    • MDL-47494: New drag and drop question types from the OU, hopefully landing this week.
    • MDL-50182: About to push Moodle 3.0 environmental requirements to all supported branches.
  • HEADS UP about the progression in the new performance "toolkit" (MDL-50862) being revamped, with Behat used as easy-source for both:
    • MDL-50863: A Behat-based new generator.
    • MDL-50864: A Behat to Jmeter's JMX converter tool.

Great work, Rajesh, keep the ball rolling! Comments are welcome.

Hot topics:

  • MDL-30157: Allow manual enrolments to begin "now" added.
  • MDL-51213: About to improve external_format_text|string() functions and clarify where they are allowed to be used.
  • MDL-50766: Fix grunt behavior in some situations.
  • MDL-51191: Improved upgrade to 2.8 caused by slow queries in assignments.
  • And many more in areas like web services, libraries, gradebook, administration...

Warm thanks:

  • To David Mudrák, from Moodle HQ, for his amazing work encouraging plugin developers, improving AMOS, the workshop module, and everything else, practically since Moodle's inception, oh man, no words!

Admiration and familiarity

are [ not always ] strangers.

-- George Sand (partially contradicted by me).

One poor developer...
Integration round 2015-09-10 - Stormy Sunday Edition
Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

27 issues have been successfully integrated with 4 rejected and 12 delayed. That's 87% success, great!

Notes:

  • There was a (noticeable) number of delayed issues, some of them because interdependencies, ongoing discussions and, also, lack or time caused by the extra attention needed to prepare the September 14th releases. This week we'll try hard to reduce that list. Thanks everybody for your collaboration and patience!
  • There are 32 issues awaiting peer-review, good reduction from last month's 52. Does a dozen sound like something achievable? Go, go, go!
  • We are just three weeks away from Moodle 3.0 code freeze!
  • A growing number of reopened issues, apparently without much activity has been detected. Maybe a good moment to review those having you with a role in them.

Hot topics:

  • MDL-51357: Edit role page broken.
  • MDL-34938: Enrolment expiration date now flows to metacourse parents.
  • MDL-42670: Recent activity block to observe assignment blind marking.
  • MDL-51245: SQL*Server drivers now do inform about incorrect transaction-settings in the database.
  • MDL-50323: Better styling of unordered lists in course sections.
  • And many more in areas like themes, quiz, groups, forum, course completion, chat...

Warm thanks:

  • To Andrew Hancox, for his recent collaboration in various issues in the Tracker, many thanks!

Secrets are generally terrible. Beauty is

not hidden–only ugliness and deformity.

-- L.M. Montgomery

Dan at desk in Moodle HQ, Perth
Integration round 2015-09-03 - Gone, but not forgotten
Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

Cold numbers:

31 issues have been successfully integrated, with 12 rejected and 4 delayed - 72% success. 

Notes:

  • We have been quite poor at delivering these integration updates over the last few months. It is not intentional, just all hands busy with tasks and easily forgetting. We are keen to turn that around, sorry for the interruption.
  • Some recent discussions have been taking place stemming from increasing use of the new webservice/templating/js features, particularly the integration between webservices and filtering - see MDL-51213, MDL-50360 and MDL-50291
  • This week was a big week on integration and we didn't get through all the issues, we thank developers and testers for their patience with our backlog!

Hot topics:

  • MDL-29801Messaging: unable to delete a message
  • MDL-51179 - Atto has the potential to over write saved content and files
  • MDL-51109 - When scheduled task fails no debug info is provided
  • MDL-49536 - "Clean" and "More" theme's logo removes all header information
  • MDL-50690 - SVG images were not displayed when access was attempted from a non-SVG supporting browser
  • MDL-48494 - $plugin->component is now required for all plugins
  • MDL-43896 - $module in no longer supported in version.php files for Moodle 3.0

  • Warm thanks:

    To Tony Butler for all the plugins and patches, the entire Moodle community thanks you for your work!


    Maraming salamat.

    Dan

    One poor developer...
    Integration round 2015-08-13 - lazy, inconstant integrators, like me
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    24 issues have been successfully integrated with 6 rejected and 3 delayed. That's 80% success, not bad.

    Notes:

    • Waiting since more than 1 month ago, this week MDL-49398 should be, finally, evaluated, grrr. Sorry for the long holding period, Toni!
    • There are 52 issues awaiting peer-review, it's me or this is getting bigger and bigger?
    • Some good progression with pending regressions is happening, still we need to evaluate/fix/kill all them.
    • We are just four weeks away from next minor releases, time to organize and fix the goals for them.

    Hot topics:

    • MDL-46860: File picker breaking within Atto's popup.
    • MDL-51050: Stop (idiot?) browsers from populating every password field with username & password.
    • MDL-50446: Problems with main-menu block resources displayed in popup/new window.
    • MDL-50062: Fixed the handling of extra credit when moving between different aggregation methods in categories.
    • MDL-50062: Database authentication against SQL*Server databases (via ODBC) now working.
    • And many more in areas like gradebook, external tools (LTI consumer), blocks, behat tests...

    Warm thanks:

    • To Tomasz Muras, from Enovation Solutions, for his help both reporting and fixing multiple issues in the Tracker, much appreciated, big thanks!

    Permanence, perseverance and persistence in spite of

    all obstacles, discouragements, and impossibilities: It is this,

    that in all things distinguishes the strong soul from the weak.

    --Thomas Carlyle

    Dan at desk in Moodle HQ, Perth
    Integration round 2015-07-16 - sparse days
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    12 issues have been successfully integrated, with 1 rejected and 1 delayed.

    Notes:

    • The iTeam this week continued some internal discussions about evolution of the Moodle performance tool to provide the goals of being more effective at detecting regressions, provide over time graphing and be able to more effectively help us with integration. More info about details from the discussion coming soon.
    • Related to that, MDL-49398 continues to be analysed - the patch provides big benefits on first login performance, but at some small tradeoff of each request. Some real life dataset testing of that issue would be good, if you can help
    • Our peer review queue continues to be quite large, while we've had a few quiet weeks on integration issues - lets all try and help tip that balance to keep the integration queues primed

    Warm thanks:

    • To Daniel Thies for much collaboration, plugins and improvements to Atto - thanks!

    One poor developer...
    Integration round 2015-07-10 - Moots, Clouds and Flus
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    8 issues have been successfully integrated with 0 rejected and 1 delayed. Perfect score but because of MDL-49398 that we had to delay one more time, grrr.

    Notes:

    • This week we all need to put an eye on MDL-49398, looking to it from all POVs: coding, behavior and performance must be triple checked. It's hyper-core stuff and needs special attention from everybody.
    • There are 47 issues awaiting peer-review, let's try to reduce the list.
    • Regressions matter.
    • Pending backport requests too.

    Hot topics:

    • MDL-50049: Lot's of old functions have been finally deprecated for Moodle 3.0. While many of them were already deprecated since ages ago (and emitting friendly debugging messages), now they are 100% out and will lead to exception/error. Be warned.
    • MDL-48074: "Not in any group" option added to enrollment filters.
    • MDL-49185: About to apply implied capabilities to LTI custom parameters (towards LTI 2.0 certification).
    • MDL-50653: Tiny HTML validation issue that caused a more interesting MDLSITE-4117 to be created.
    • And many more (4!) in areas like html editor, forums, admin...

    Warm thanks:

    • To Joseph Inhofer, for all his activity and collaboration in the Tracker, always looking for better solutions, many thanks!

    I love people where, at the end of the day,

    they'll pick up a paintbrush and paint clouds.

    They can physically make things.

    -- Peter Capaldi

    One poor developer...
    Integration round 2015-07-02 - Davidito's Day
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    17 issues have been successfully integrated with 4 rejected and 2 delayed. That is 80.95% success, slightly below average.

    Notes:

    Hot topics:

    • MDL-48239: Various problems with formula calculations have been fixed.
    • MDL-50675: Wikimedia repository thumbnails now properly displayed.
    • MDL-50675: Cleanup of unused questions and question categories on activity deletion.
    • MDL-33765: Glossary filter recursiveness and display fixes.
    • And many more in areas like themes, scorm, languages, gradebook...

    Warm thanks:

    • To Tyler Bannister, from Remote Learner, Canada, for his collaboration with various complex issues within Moodle and, very specially, for his patience with us, evil integrators. Many thanks!

    They say happiness is just around the corner,

    too bad the world is round.

    --Unknown

    Picture of David Monllaó
    Integration round 2015-06-25 - PHP 7, our new friend
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers

    19 issues have been successfully integrated during this 2015-06-25 cycle, with 9 rejected; no delayed issue this cycle. That is 67.86% success.


    Notes


    Hot topics

    • MDL-49257: Adjusting weights when extra credit item is present causes unexpected behavior
    • MDL-50089: Gradebook export does not respect aggregate only non-empty grades for percentage and letter
    • MDL-50491: New format_text option to exclude particular filters
    • MDL-50283: Improve Rubric interface to include the ability to duplicate rows.
    • MDL-50631: Display Moodle ASCII logo in CLI installer
    • And other stuff in components like gradebook, messages, authentication...

    These last weeks some other significant bug fixes and improvements were integrated:

    • MDL-48618: Unexpected changes on grades after upgrade to Moodle 2.8
    • MDL-50089: Gradebook export does not respect aggregate only non-empty grades for percentage and letter
    • MDL-42192: Capabilities list caching
    • MDL-49882: Essay questions are not imported into the lesson Module
    • MDL-50176: Youtube repository no longer working
    • And many other issues fixing or improving gradebook, administration, backup, glossary and other components


    Warm thanks

    To all the people recently and currently involved in fixing gradebook issues: Eric Merrill, Frédéric Massart, Damyon Wiese, Marina Glancy, Adrian Greeve, Martin Langhoff, Bob Puffer, Steve Miley, Helen Foster, the iTeam and all the other people that somehow contributed to the discussions and fixes.

    Picture of David Monllaó
    Integration round 2015-05-28 - No more on-sync
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    23 issues have been successfully integrated with 3 rejected and 2 delayed. That is 88.46% success, well done!


    Notes:


    Hot topics:

    • MDL-50285: Grade categories calculate wrong with suspended users (Student's view)
    • MDL-50373: Cloze questions not properly displayed in random quiz
    • MDL-49560: SOAP web service does not work with token
    • MDL-48664: Messaging contacts paging bar goes too wide
    • MDL-40592: Missing user default image/picture in assignment grading page
    • MDL-50289: Notes link on profile page despite notes being disabled
    • And many other fixes in web services, messaging, cohorts...


    Warm thanks:

    * To Martin Mastny, for his contributions during these period in HQ and for next Friday beers smile

    One poor developer...
    Integration round 2015-05-21 - Eurovision weeklies, pfff
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    20 issues have been successfully integrated with 3 rejected and 2 delayed. That is 86.96% success, well done!

    Notes:

    • 2nd (out of 3) "on-sync" week. One more week and we'll start processing all the "integration_held" issues.
    • While we don't usually release weeklies for security-only supported branches, this week we decided to roll a 2.7.8+ update, including a couple of bug fixes of general interest.
    • There are 34 issues awaiting peer-review, any help there is really welcome.
    • Regressions continue being priority #1.

    Hot topics:

    • MDL-50277: Make components used by Grunt fixed per branch, so all developers will get constant (and verifiable ) results.
    • MDL-50177: Problems upgrading assignments.
    • MDL-49764: Improved gradebook floating cells under some browsers.
    • MDL-49764: Problems with behat runs caused by some libxml versions.
    • MDL-50254: Mustache namespace aliasing problem
    • And many more in areas like quizzes, gradebook, questions, enrolments, user management...

    Warm thanks:

    • To Jean-Philippe Gaudreau, for his continuous help in many areas of Moodle along the last months. Very much appreciated!

    Whenever you find yourself

    on the side of the majority,

    it is time to pause and reflect.

    -- Mark Twain

    One poor developer...
    Integration round 2015-05-14 - one and a half month later...
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    5 issues have been successfully integrated with 2 rejected and 0 delayed. That is 71.43% success, I'd say it's a really bad outcome for 3.0 first commits, eh!

    Notes:

    • The numbers above aren't representative enough, the release week uses to be a "light" one (integration-wise), where only a few issues are picked, so don't get worried at all. wink
    • Last week we released 2.9, together with a good number of minor releases.
    • For 3 weeks, we'll be under the called "on-sync" period where we keep the new MOODLE_29_STABLE branch 99.99% the same than master, to make it easier to introduce any urgent fix (specially upgrade steps) in a "common" way. That means that we are accumulating "integration_held" issues for 2 more weeks and only when the on-sync period is over we'll proceed to integrate them.
    • There are 36 issues awaiting peer-review, let's try to reduce them.
    • From now to July 6th, apart from the usual planning, sharing and discussing stages of new developments, we all should be paying special attention to every regression found with the new versions, fixing them ASAP.

    Hot topics:

    • The world is changing really quickly. Impossible to take a photo!
    • Next Moodle major release will be 3.0, yay, excited? Nah, it's just 2.9 + 0.1 = 3.0 tongueout
    • MDL-50182 - About Moodle 3.0 requirements. Let's try to define them earlier than we did for 2.9 (issue closed on release, big grin).

    Warm thanks:

    • To your parents. To the parents of everybody that "produced" people like you. Given how brilliant, amazing, unique you are... I cannot but venerate your parents, kudos to all them. And congratulations to you!

    We all parent the best we can.

    Being human, we're ambivalent.

    We want perfection for our babies,

    but we also need sleep!

    -- Erica Jong

    One poor developer...
    Integration round 2015-04-02 - those sparks... set my heart on fire!
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    54 issues have been successfully integrated with 8 rejected and 5 delayed. That is 87.10% success, not bad at all!

    Notes:

    • There are 35 issues awaiting peer-review, freeze is here... not good, not good. sad
    • While you read this, freeze is happening. For the coming weeks the integration process changes noticeably.
    • Because of a chained problem, CiBoT results for issues under this week integration, became broken. Sorry for the problems. It has been solved minutes ago and the checks re-executed for all the issues.

    Hot topics:

    • MDL-49513: New behat step to quickly configure admin settings.
    • MDL-44874: $CFG->tempdir now considered shared (heads up, clusters, for 2.9 and up), and there is a new way to handle local, per-request temp directories.
    • MDL-23296: Searches in the file picker.
    • MDL-6340: Quiz retakes now do try harder to avoid using already seen questions.
    • MDL-49514: Many libraries upgraded for Moodle 2.9.
    • And lots more in areas like web services, backup & restore, lesson, html editor, acceptance tests, quizzes...

    Warm thanks:

    • To Zac Durber, from Moodle HQ. Quick learner, keen professional and avid moodler. That mix only can be a win. Thanks!

    Preparing to fight wild fires is only part of the solution,

    we must be more pro-active and prevent the fires before they start,

    or reduce their intensity by removing forest waste and fuel build up.

    --- Rick Renzi

    One poor developer...
    Integration round 2015-03-26 - Life doesn't have a ctrl-z. Type wisely.
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    39 issues have been successfully integrated with 7 rejected and 0 delayed. That is 84.78% success, not bad at all!

    Notes:

    • There are 32 issues awaiting peer-review, that's only 5 down from last week. And freeze is coming!
    • There are only 2 remaining opportunities of getting your improvements and new features added to Moodle 2.9 (next and next-next weeks), after that, we'll be only accepting bug fixes until release, with everything else held, be warned.
    • Since some days ago we are running acceptance tests (Behat) in parallel mode in our testing infrastructure. That's a huge step (thanks Rajesh!) from previous non-parallel runs and, once fully stabilized, sets the base for future improvements, stay tuned.
    • We are actively discussing alternative ways to handle security issues internally, aiming to better handling of them (integration and testing) within our processes and also better/on time notifications to the community. Still considering different options and their impact.

    Hot topics:

    • MDL-47002, MDL-47003...: Better handling of imported content in atto html editor.
    • MDL-28526: Glossary to preserve attachments and images over export/import operations.
    • MDL-49543: Badges criteria now support a custom description field.
    • MDL-45619: To be able to uninstall repositories.
    • And lots more in areas like web services, quizzes, ajax, themes, ims-cp resources...

    Warm thanks:

    • To Eric Merrill, from Oakland University. For all his awesome contributions in business-critical areas like caching stores, plugins, html editors... and because I really like that avatar, man. Many thanks!
    One poor developer...
    Integration round 2015-03-19 - Your attitude is contagious.
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    30 issues have been successfully integrated with 5 rejected and 0 delayed. That is 85.71% success, good one!

    Notes:

    • There are 37 issues awaiting peer-review, and 37/3.7=3+7, come on!
    • Some interesting dates:
      • 2 weeks for code freeze.
      • 3 weeks for QA.
      • 7 weeks for 2.9 release.
    • Funny weeks coming, make a pause and get impulse!

    Hot topics:

    • MDL-44367: Improve filter_data for large sites.
    • MDL-40990: Question inter-dependencies.
    • MDL-49152: Templates for renderers.
    • MDL-49163: Unified Ajax handler.
    • And lots more in areas like lesson, acceptance tests, messages, blocks...

    Warm thanks:

    • To Dan Poltawski, from Moodle HQ. All purpose moodler ("all terrain" I'd say in Spanish, literally, lol), because there are only 52 weeks in a year and I don't want 2015 to end without saying big thanks for your contributions and attitude. Everywhere. Always. (hats off, a pure pleasure to work with you!)
    Picture of David Monllaó
    Integration round 2015-03-13 - Summer is coming (not in Australia though)
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers
    Cold numbers:

    30 issues have been integrated with 4 rejected, no issues have been delayed this cycle. It is a 88.24% success.

    Notes:

    Hot topics:

    • MDL-46064: Drop support for MyISAM for 2.9
    • MDL-5583: allow teachers to specify certain fields in database activity as required
    • MDL-39752: Behat tests runs in parallel
    • MDL-49298: Make tgz backups standard
    • And many other bug fixes and improvements in different areas: gradebook, calendar, lesson, web services, questions, ratings... 

    Warm thanks:

    To Stephen Bourget for his bug fixes, improvements and his dog picture. Thank you very much and please continue contributing to a better Moodle.

    One poor developer...
    Integration round 2015-03-05 - stay in bed on Monday [*]
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    40 issues have been successfully integrated with 4 rejected and 2 delayed. That is 91.91% success, nice one!

    Notes:

    • With the minor releases happening on Monday 9th, the final countdown to Moodle 2.9 has started. Check the dates!
    • After a number of iterations, it seems that Behat parallel execution is ready for integration. Results are promising and it should be able to help solving some limits and problems that we are facing with acceptance testing since some time ago. More about that coming soon.

    Hot topics:

    • MDL-49379: Recent regression causing web services not being editable.
    • MDL-47911: Improvement to gradebook operations.
    • MDL-23273: Concurrency problem with choice limited responses.
    • MDL-49259: Improved handling of Japanese filenames in zip files.
    • And lots more in areas like lesson, blocks, web services, acceptance tests, administration...

    Warm thanks:

    • To Dave Cooper, from Moodle HQ. With two words, "well done!"

    [*] Title rationale:

    Sometimes it pays to stay in bed on Monday,
    rather than spending the rest of the week
    debugging Monday's code.
    -- Christopher Thompson

    Dan at desk in Moodle HQ, Perth
    Integration round 2015-02-25: The 10 week countdown
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers

    26 issues have been successfully integrated with 4 rejected and 3 delayed - 86% success.

    Notes:

    • This week saw the integration of the first stage the new javascript infrastructure we now have support to load AMD modules with RequireJS - see MDL-49046
    • Next week we will be integrating for the upcoming point releases - we prepared
    • Do you know that future development projects and specifications are planned to be worked on at the future Moodle Moots in the UK/Ireland (#mootieuk15) , Australia (#mootau15) and USA (#mootus15) - there should be attendees from Moodle HQ at each - see https://moodlemoot.org for more details

    Hot topics

    • MDL-35392Feedback from module assign is not shown in the gradebook
    • MDL-31578 - Shibboleth attribute mappings for all Moodle fields (inclusive custom attributes)
    • MDL-18177Add option to choose whether groups and/or groupings are included in a back up
    • MDL-49046RequireJS AMD Javascript loader

    Warm thanks

    To Tony Levi for collaboration and research into Moodle issues - especially identifying performance issues. Thanks!


    cheers,

    Dan

    Picture of David Monllaó
    Integration round 2015-02-12: Delete the whole section!
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers: 41 issues have been successfully integrated with 4 rejected, that is a yummy 91.11% success.


    Notes:

    • After many years being marked as deprecated, we proceed with the first stage deprecation of a bunch of web services functions (MDL-43535) This is important for most of the Moodle mobile app customizations, as until 1.11 the official Moodle mobile app has been using these web services (MOBILE-855) It is a good moment to update your mobile app customizations on top of 1.11, you still have time before the final deprecation.
    • More than 7 years and 81 votes passed since MDL-10405 was created, now we can finally delete course sections (Moodle 2.9 onwards) Don't worry, there is a confirmation step ;)
    • Many accessibility improvements are landing these last weeks (Only this week MDL-36009, MDL-49052, MDL-49003 and MDL-37477)


    Hot topics:

    • MDL-10405 - Delete sections
    • MDL-48803 - Lesson should support groups
    • MDL-48679 - When Grade publishing is enabled the Grade Export URL does not appear
    • MDL-36009 - Gradebook table uses complex tables that are not accessible
    • MDL-43535 - Remove deprecated web services functions
    • MDL-48038 - tag_cron() does not scale


    Warm thanks:

    To Adam Olley, for all his contributions over the years.


    Dan at desk in Moodle HQ, Perth
    Integration round 2015-02-05: less mustache
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers

    40 issues have been integrated with 7 rejected and 2 delayed - thats 85% success. Not bad!

    Notes:

    Hot topics:

  • MDL-31036 - Quick grading accepts plain text but truncates special characters
  • MDL-46626 - Log report export contains html
  • MDL-48328 - lessc is failing to compile our less
  • MDL-48933 - quicker interface for sending a user a message.

  • Warm thanks:

    To Matt Petro for fixes and improvements to Moodle - your contribution is greatly appreciated!

    One poor developer...
    Integration round 2015-01-29 - "Open schools and prisons will be closed" - Concepción Arenal
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    33 issues have been successfully integrated with 3 rejected and 2 delayed. That is 91.67% success, wow!

    Notes:

    • Along the next week, this will be decided once and forever:
      • MDL-39079: Use of the HTML “title” attribute.
    • There are 28 issues awaiting peer-review, the number of days February has, come on!
    • Recently we have detected some, already resolved, issues with the "dev_docs_required" still on them. It would be great if you can review your own ones, completing the documentation and deleting the label once done.

    Hot topics:

    • MDL-43421: Fixed race condition updating user access times.
    • MDL-48542: Prevent custom menu items to break site display.
    • MDL-48383: Disabled scheduled tasks and disabled plugins.
    • MDL-48711: Incorrect display of extra credit marks.
    • And lots more in areas like forums, administration, web services, quizzes, html editor…

    Warm thanks:

    • To Patrick Pollet, who passed away recently, for his contributions to the Moodle community as a developer and particularly helpful Moodler.
    Picture of Andrew Nicols
    Integration round 2015-01-23 - Hello, world!
    Group Core developersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    This week 33 issues have been successfully integrated with 4 rejected and 0 delayed. That is 89.19% succcess.

    Last week 28 issues were successfully integrated with 4 rejected and 1 delayed. That is 87.50% success.

    Notes:

    • There was a General developer meeting during the week (January 20th) - if you missed out, you can on YouTube.
    • Our latest course, Teaching with Moodle: An introduction started on 11th January 2015. Suitable for anyone who wants to teach using Moodle, whether that's in a school, university, company, or elsewhere, it's not too late to join. The course is set to end on February 8th.

    Hot topics:

    • MDL-348: Printer friendly styles for quiz
    • MDL-47166: Invert the indent/outdent buttons in Atto
    • MDL-48493: Automatically detect the plugin type when installing plugins from zip
    • MDL-48761: Add a behat step to pause execution for debugging
    • And numerous other issues in database, Groups, Quiz, Core, and elsewhere.

    Warm thanks:

    • To Vadim Dvorovenko for his recent contributions to Moodle, and for finding and fixing a range of fun and exciting bugs.

    Thanking you all for your continued contributions - please keep them up!

    Andrew

    (Edited by Helen Foster to add a profile link - original submission Friday, 23 January 2015, 4:26 AM)

    One poor developer...
    Integration round 2015-01-08 - best wishes for 11111011111
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    50 issues have been successfully integrated with 5 rejected and 2 delayed. That is 90.91% success, super!

    Notes:

    • Last call about some policy issues (be warned):

      • MDL-39079: Use of the HTML “title” attribute.
      • MDL-48181: "regression" labels and/or versions and their use and ttl.
      • MDL-48145: 2.9 future requirements.
    • On Monday (January 12th) new minor stable versions will be released. That includes Moodle 2.6.7, 2.7.4 and 2.8.2.

    • Anybody able to come with a proposal for MDLSITE-3691? It would be great to have a schema about how to organize all that information into a (more) useful way.

    • There are 30 issues awaiting peer-review, that’s only five times six, let’s kill them!

    • Next developer meeting is around the corner (January 20th). Feel free to propose / share / participate with anything of interest. And, of course, you’re welcome to attend.

    Hot topics:

    • MDL-48644: Restore of legacy logs time and IP.
    • MDL-48748: Various fixes to the English lang pack.
    • MDL-40097: Course completion criteria leading to error.
    • And lots more in areas like lesson, messages, assignment, gradebook, deprecations…

    Warm thanks:

    • To Colin Chambers for his amazing collaboration finding bugs, proposing fixes and all the hard work since the world is round.

    Ciao all, stronk7 smile

    Dan at desk in Moodle HQ, Perth
    Integration round 2014-12-24 - Twas the night before christmas
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    26 issues have been successfully integrated with  6 rejected and 11 delayed. Thats 81% success.

    Notes:

    • As noted last week, we had a shorter week of integration and testing this week in order to facilitate a release today as planned. Great job everyone for managing to achieve this with only 11 issues delayed smile
    • Our next full Integration round will start on 5th January 2015 and will be the last week to include changes for our scheduled minor releases (2.8.2, 2.7.4 and 2.6.7).
    • On 11th of January 2015, Moodle HQ will start our next course at https://learn.moodle.net: "Teaching with Moodle: An introduction is for anybody who wants to use the Moodle learning platform for teaching, whether it be in a school, a university, a company or just personal interest" Developers might be interested to get more experience of Moodle as a teacher and this is a great opportunity to do this!

    Hot topics:

  • MDL-42616 - New tool to support custom file types, change file icons etc
  • MDL-48244 - Lessons with no questions show completed after the first page is viewed
  • MDL-40864 - Bootstrapbase based themes no longer link on background images

  • Warm thanks:

    To the 186 contributors who have added 5807 commits to Moodle in 2014:

    ~/git/moodle (master) $ git log --format=%an --since=1/Jan/2014 | sort | uniq | perl -pe 's/\n/, / unless eof'
    AMOS bot, Aaron Barnes, Aaron Wells, Adam Olley, Adrian Fish, Adrian Greeve, Albert Gasset, Alfonso Roman, Amanda Doughty, Andrea Bicciolo, Andreas Grabs, Andrew Davis, Andrew Nicols, Andrew Robert Nicols, Andrew Schmadel, Ankit Agarwal, Aparup Banerjee, Ashley Holman, Avi Levy, BKelada, Barbara Ramiro, Bas Brands, Ben Kelada, Brent Boghosian, Brian Barnes, Brian King, Charles Fulton, Ciaran Irvine, Colin Chambers, Corey Wallis, Damien Bezborodov, Damyon Wiese, Dan Bennett, Dan Marsden, Dan Poltawski, Daniel Kosinski, Daniel Neis, Daniel Neis Araujo, Daniel Thies, Darko Miletic, Dave Cooper, David Balch, David Curry, David Ligne, David Monllao, David Mudrák, David Scotson, Davo Smith, Didier Raboud, Dmitry Nefedov, Eloy Lafuente (stronk7), Eric Merrill, Eugene Venter, Faisal Kaleem, Fred Woolard, Frederic Massart, Gareth J Barnard, Gilles-Philippe Leblanc, Gordon Bateson, Graham Bowman, Gregory Faller, Heiko Schach, Helen Foster, Henning Bostelmann, Huy Hoang, Iñaki Arenaza, James Ballard, James Henestofel, James McLean, James McQuillan, James Pratt, Jason, Jason Fowler, Jayesh Anandani, Jean-Michel Vedrine, Jean-Philippe Gaudreau, Jenny Gray, Jerome Mouneyrac, Jetha Chan, Jim Thorpe, John Okely, Jon Marthaler, Jonathan Champ, Jonathan Harker, Jonathon Fowler, Joseph Rezeau, Josh Marshall, Joshua Johnston, Juan Leyva, Julien Boulen, Justin Filip, Kevin Wiliarty, Kordan, Krister, Krister Viirsaar, Kyle Temkin, Logan Reynolds, Luke Tucker, M Kassaei, Maria Torres, Marina Glancy, Mario Wehr, Mark Nelson, Mark Nielsen, Mary Evans, Mathieu Petit-Clair, Matt Petro, Matt Staroste, Matt Switlik, Matteo Scaramuccia, Matthew Tavella, Michael Aherne, Michael Hughes, Michael Milette, Michael Wheeler, Michael Woods, Michael de Raadt, Mohamed Alsharaf, Nadav Kavalerchik, Neill Magill, NeillM, Niclas Tollstorff, Nicolas Dunand, Nobelium, Oleg Demeshev, Oleg Sychev, Osanda Malith Jayathissa, PJ King, Pau Ferrer Ocaña, Paul Charsley, Paul Holden, Paul Nicholls, Paul Verrall, Paula Ardanza Menéndez, Pavel Sokolov, Petr Skoda, Petr Škoda, Petr Škoda, Pierre Pichet, Rajeev S, Rajesh Taneja, Rajneel Totaram, Ray Morris, Rex Lorenzo, Rod Norfor, Rossiani Wijaya, Ruslan Kabalin, Russell Smith, Sam Chaffee, Sam Hemelryk, Shane Elliott, Simey Lameze, Simon Coggins, Skylar Kelty, Stephen Bourget, Steve Clay, Syxton, Tim Hunt, Tim Lock, Tim Price, Tomasz Muras, Tony Butler, Tony Levi, Trevor Cunningham, Tyler Bannister, Virgil Ashruf, Willy Lee, Yolanda Ordóñez Rufat, Yuliya, Yuliya Bozhko, Zachary Durber, apsdehal, fabmen, gdharris, jrchamp, markv, mouneyrac, nobelium, pau.ferrer-ocana, roelmann, rwijaya, sam marshall, shashirepo, spvickers, uhunkler, zbdd

    Now as your new year's resolution, please will you normalise you commit author name so that you don't count twice in that list in 2015. wink

    On behalf of all at Moodle HQ, thanks and have a Merry Christmas.

    مع أطيب تمنياتي

    Dan

    Dan at desk in Moodle HQ, Perth
    Integration round 2014-12-18 - Happy Holidays
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    46 issues have been successfully integrated with 12 rejected and 2 delayed. Thats 79% success - lets no drop any further. 

    Notes:

    • As we are heading into the festive season there will be a few weeks of disrupted releases (Perth HQ will be shut from 25th December to 1st January). Next week, we will try and bring testing forward to Tuesday, aiming to release on 24th (but this might not happen).
    • Sam Hemelryk has posted a proposal about the future of cache stores going forward with Moodle 2.9, please contribute to that discussion if it interests you.
    • The HQ team are looking for feedback on some navigation mockups - help them out by trying their mockups out and replying to the thread.
    • We welcomed Andrew Nicols and David Monllaó (back) to the Integration team this week. You will see them Integrating an issue near you soon - please help them on the journey smile
    • There are 18 issues awaiting peer-review, twenty-five fewer than last week. That means that if current trends continue, next week we'll have -7 issues to review! Keep the trend going down!

    Hot Topics

    • MDL-46442 - Assignment was missing notification on submission when it was been already notified about before
    • MDL-43462Landscape PDFs were not shown correctly in EditPDF
    • MDL-46472 - Upgrade to 2.7 stuck in 'upgrade database now' loop with undeletable themes
    • MDL-48473 - Lesson shortanswer question: fill in the blank option
    • MDL-34550 - get_context_instance_by_id() has been removed along with other deprecations
    Warm Thanks

    • To John Okely, HQ Developer for the last 9 months and composer of release video backing tracks! Keep up the great work, thanks mate!

    Have a good one,

    Dan

    One poor developer...
    Integration round 2014-12-11 - cuando un amigo se va...
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    32 issues have been successfully integrated with 5 rejected and 3 delayed. That is 86.49% success, good one!

    Notes:

    • Some policy issues worth noting:

      • MDL-39079: About the (ab)use of the "title" attribute and clarify once and forever about it (and somehow, also about the "alt" one). Would be great to get this discussed and a conclusion grabbed @ Docs. Before Xmas? To dream is cheap.
      • MDL-48181: About to decide between "regression" labels or versions and their use and ttl.
      • MDL-43233: coding-style only fixes is now documented and we all should be observing those rules.
      • MDL-48145: About 2.9 future requirements. Will be able to decide them before the end of the year?
    • A documentation proposal @ MDLSITE-3691: About to perform some refactor of a bunch of development / coding style / policy issues. Right now we have some great (both in a cool and spaghetti way, LOL) pages and we should be able to group, organize all that information in a different, more useful way.

    • There are 43 issues awaiting peer-review, four less than previous week. That means that, in 10 weeks, we'll have reviewed all them, yay! Keep the trend going down!

    Hot topics:

    • MDL-48058: Fixed a recent regression about the "forced" settings in messaging not being honored.
    • MDL-48273: Single view report now supports groups correctly.
    • MDL-37704: Being able to lock user profile fields.
    • And lots more in areas like acceptance tests, enrollments, authentication, backup & restore, resources...

    Warm hugs:

    • To Sam Hemelryk that, after 5.5 years with us, is moving away from Moodle HQ, looking for new challenges out there. Your skills, your positivism and your never-ending smile will allow you to shine and triumph wherever you go man. Has been a pleasure to share my (late) nights with your (early) mornings all these years. Choice, bro!

    Ciao all, stronk7 smile

    PS/Note: After 5.5 years, for some reason it's still impossible for me to write "Hemelryk" without a typo, sad but true. ROFL.

    PS2: Edited, s/thanks/hugs, thanks Tim! (/&%"·$(/&%"·$(/&%"·$ big grin tongueout

    One poor developer...
    Integration round 2014-12-05 - moving, all the people is moving
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    36 issues have been successfully integrated with 5 rejected and 0 delayed. That is 87.80% success, yippee!

    Notes:

    • Some policy issues worth noting:

      • MDL-48494: About normalizing/requiring the information required by every plugin version.php information.
      • MDL-43233: About the rules that will define how coding-style only changes are accepted. Soon to be documented @ Docs.
      • MDL-48145: About 2.9 future requirements. Now it's the time to decide about them.
    • There are 47 issues awaiting peer-review, don't get depressed, can be sorted out with a bit of discipline and extra effort.

    • CiBoT continues getting some extra features, obscure ones this week, won't be giving you more details this time. Just, please, don't base your development branches on integration.git unless there is a very good reason for that. It's really easy, especially after some rewriting of history in that repository (like happened last week) to make mistakes by integrating old, invalid stuff.

    Hot topics:

    • No comment about fixed issues, all them were really boring cool this week. Look to the summary (36 issues) link and find the interesting ones for you.
    • Moodle HQ has moved this week to a new, cool and beautiful office. Not sure what happened with the ping-pong... but still, congrats!
    • Some people is moving away from the integration team. Some to continue @ HQ into new roles, others leaving us, looking for new challenges out there. Good luck and best wishes to all them. Has been incredible to work with (and learn from) such a iTeam along the last years.
    • Other people is coming to the iTeam, too. Thrilled to have them on-board ASAP and aiming to raise the integration (quality) bar with new ideas and improvements here and there, yay!

    Warm thanks:

    • To Pau Ferrer Ocaña (crazyserver), for his continued collaboration with multiple issues in the Tracker, always providing help and good ideas. And also... because of curiosity about the "crazyserver" bit on his name. wink

    Ciao all, stronk7 smile

    Edited: s/worth nothing/worth noting, LOL. Thanks Helen!

    PS:

    Dan at desk in Moodle HQ, Perth
    Integration round 2014-11-28: UK - España collaboration
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    43 issues have been integrated with 8 rejected and 1 delayed - that is 84% success.

    Notes:

    • After a productive discussion, some initial work is starting to take place in specifying some exploratory work into an our future JS framework
    • We continue to solicit feedback on the proposed CSS Coding guidelines
    • It's been another bumper week of CiBot improvements:
      • Improvements have been made to the formatting of pre-check reports (MDLSITE-3423)
        • The summary for each check is now reported on the tracker 
        • A distinction is made between errors and warnings and is clearly distinguished
        • The report sections are now directly linked
        • Problems reported now link directly to the line/commit/file in question for easier examination (MDLSITE-3645)
      • Changes to third party libraries are now detected and a warning is raised if the readme/thirdpartylibs.xml file is not also updated (MDLSITE-3252). Note: further policy for handling of third party libraries is being discussed in MDLSITE-3657
      • phplint results are now reported by the pre-checker MDLSITE-3651
      • A few csslint problems were fixed: MDLSITE-3647 MDLSITE-3612

    Hot topics

    • MDL-31500 - problems with backup and restore on the front page resolved
    • MDL-20365 - Salted Crypt passwords option for external database authentication
    • MDL-25763 - Cli version of admin/replace.php
    • MDL-47834 - New option to restrict concurrent user sessions
    • MDL-48191 - Horizontal scroll in the Grader report relies on student emails being displayed
    • MDL-41155 - Maximum number of attempts setting in Lesson not working
    • MDL-46416 - Impossible to change / remove picture from group
    • MDL-48277 - Initial CSSLint config added to codebase

    Warm thanks

    To Daniel Thies for working on Moodle bug fixes, sharing his knowledge on the forums and sharing a great first name, thanks a lot!

    bejois

    Dan

    Dan at desk in Moodle HQ, Perth
    Integration round 2014-11-20: 2.9 begins
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    42 issues have been successfully integrated with 7 rejected. That is 85% success, not bad for the first week of changes accepted into Moodle 2.9.

    Notes:

    • As noted last week, the on-sync period has ended early along with the release of Moodle 2.8.1 and so this week we started accepted new changes into master for Moodle 2.9
    • A Moodle 2.6 weekly release was produced despite being in security only support in order to address a recently introduced regression (MDL-48042)
    • Discussion has been opened into a CSS coding style over on the themes forum. Please join in and leave your comments there
    • Various automated check improvements have taken place with CiBot gaining some new abilities:
      • MDLSITE-2003 - syntax checking of all php files in integration.git
      • MDLSITE-2102 - CiBot now checks javascript with jshint
      • MDLSITE-3612 - CiBot now checks css with csslint ( MDL-48277 is waiting to add an initial csslint configuration to moodle)
      • Some small improvements were made to the style of the code checker report
      • MDLSITE-3423 - will introduce much more useful reporting of CiBot results into the tracker comments

    Hot topics:

    • MDL-47803 - New page reporting currently logged in sessions
    • MDL-36240 - Problem fixed with calendar events not restoring when user data not backed up
    • MDL-36874 - Text navigation for the book module
    • MDL-47501 - Added an indication when grade letters are overridden
    • MDL-48179 - Fix for backups timing when including large files

    Warm thanks:

    To David Balch for various fixes, improvements and helpful contributions - many thanks!

    Adiós,

    Dan

    One poor developer...
    Integration emergency - meeting Moodle 2.8.1
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers
    Hi all,

    this is about to announce and let you know that, right now, we are proceeding with the packaging and immediate release of Moodle 2.8.1.

    The reason for such emergency release is MDL-48204, where a ";" escaped all our human and automated tests, leading any mod/wiki/admin.php call to end with PHP Error.

    Since the error was reported @ developer chat (thanks Catalyst!) yesterday, these measures have been already performed, and you can apply for any of them to get the problem fixed:

    - Manually apply this fix to your 2.8.0 installations: http://git.moodle.org/gw?p=moodle.git;a=commitdiff;h=8309373cbfb1f763469343fe73bbe2ac4c890f0c

    - Update your sites to current MOODLE_28_STABLE, the fix is also there: http://git.moodle.org/gw?p=moodle.git;a=shortlog;h=refs/heads/MOODLE_28_STABLE

    - Wait until v2.8.1 is available and update to it (few hours from now).

    This information is/will be available @ release notes (https://docs.moodle.org/dev/Moodle_2.8.1_release_notes) and also will be posted @ other moodle.org forums soon.

    Here it's the complete list of issues fixed for 2.8.1.

    Developer's side, this also implies that the so called "on-sync period" (where MOODLE_28_STABLE and master are kept the same for some weeks after major release) is over (versions diverged already), so from now, separate branch fixes will be normally expected.

    Sorry for the trouble, we are already taking measures to avoid this type of errors to happen/escape again (see MDLSITE-2003).

    Gogogo, Moodle. Ciao smile
    Dan at desk in Moodle HQ, Perth
    Integration Summary: Welcoming Moodle 2.8.0
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers

    During the Moodle 2.8 freeze period 268 issues were integrated at a rate of approximately 89 issues per week, compared to 595 at the rate of 28 issues per week during the normal part of the 2.8 cycle. The numbers clearly show it's been an intense period, with hard work from all.

    Notes

    • Yesterday marked the start of the on-sync period - where we keep master and MOODLE_28_STABLE the same and identical patches are applied to both branches. We remain on-sync for 3 weeks (until 1st December 2014)
      • The purposes of this time is to reduce the work which would be required to fix any critical regressions as well as reduce the testing load. See also: a previous thread on this topic.
      • During this period we do not integrate new features or improvements to master. Feel free to submit these issues for integration but note that they will be held to the end of the on-sync period.
      • Note that while master and 28 have very little differences, they are not common ancestors and its not possible to merge into both branches. While a cherry-pick request is acceptable it is helpful to integrators to supply separate branches for master and MOODLE_28_STABLE as is usual
      • Please use the 2.8-regression version on any issues detected to be a regression caused by the recent releases.
    • With the 2.8.0 major release other branches changed status:
      • 2.6.x has now entered the security-support period and we will no longer accept normal bug-fixes on MOODLE_26_STABLE
      • 2.5.9 was the final security-supported release of 2.5.x and will no longer be receiving any fixes
    • We are saying goodbye to some integrators over the next few weeks due to internal changes in Moodle HQ, please bear with us if service is slower than normal. The carrot you can eat while waiting is the news that Marina becomes our new Development Process Manager and Damyon our Development Team Manager. I am certain both will have a positive impact in their new focus, though missed by us!

    Hot Topics

    • MDL-15169 - Solve the global climate problem ASAP

    Warm thanks

    To Ankit Agarwal for years of bug fixing, new features, testing  and tasty indian food. Especially for dealing with this integrators flippant comments last week - thanks!

    Dan at desk in Moodle HQ, Perth
    Integrated round 2014-10-28
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers

    Since our last update on freeze beta release day.. 140 issues have been integrated with 11 rejected - that is 89% success.

    Notes

    • Apologies for the lack of updates - we've been busy getting through the frantic time before release - such is the volume of issues to integrate that we've integrated nearly 50% as many issues in the last few weeks than before the freeze started. Hopefully this means we are approaching a well polished release!
    • We are currently in 'continuous integration' a period where we are trying to produce regular releases of master for the community to test. Learn more on moodledocs.
    • Moodle.org has been upgraded to todays 2.8 Beta release, so you are reading this forum post on Moodle 2.8 Beta! Let us know what you think in the community sites forum.
    • Thanks to all our testers out there, we are now nearly at 100% pass rate for Moodle 2.8 QA tests and things remain on track for a release on schedule

    Hot Topics

    Warm thanks:

    To Jayesh Anandani - for completing the most QA tests in the 2.8 cycle and former Google Summer of Code student - thanks for helping out!

    Dan at desk in Moodle HQ, Perth
    Integration round 2014-10-10 - Moodle 2.8 Beta
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    62 issues have been successfully integrated with 9 rejected and 1 delayed. That is 87% success - good work.

    Notes:

    • This week was the final one to get new features integrated into Moodle 2.8 and so it was a busy one. Integrators and testers were kept busy with a staggering 727 files changed, 232999 insertions(+), 77778 deletions(-). Hopefully we can get to the point where we avoid so much landing at once in future, better to spread the load.
    • Earlier today, Moodle 2.8 Beta was released. The release signifies our change in focus towards testing Moodle 2.8 and getting it polished for the release in a month's time.
    • The Moodle 2.8 QA cycle starts on Monday - we've got more automated tests than ever before - 21,673 automated acceptance test steps, 50,774 unit test assertions but of course we really appreciate and value our human testers who find things the bots can't! Stay tuned to the Testing and QA forum to find out how you can get invovled.

    Hot topics:

    • MDL-3714 - reply to forum posts by email
    • MDL-31936 - workshop module now supports reset
    • MDL-45893 - New User menu
    • MDL-43089 - improved user interface for building quizzes
    • MDL-43472 - moving courses functionality restored to the course search screen
    • MDL-46210 - Language packs will now be updated automatically
    • MDL-32870 - Lesson questions and answers can now embed files
    • MDL-46481 - 'One click' backup
    • MDL-46576 - Natural aggregation in gradebook

    Warm thanks:

    To Helen Foster & Mary Cooch for tirelessly working with us to improve understability, document our new features and make our ready for all our users. Thanks!

    (This gives me an opportunity to developers this is a warning to you to, remember Helen, Mary and the other authors/trainers etc who will need to redo a screenshot or screencast because you decided you *needed* to change something after freeze!).

    I'm off to the pub!

    チャオチャオ

    Dan

    Dan at desk in Moodle HQ, Perth
    Integration round 2014-10-02 - Anti-freeze
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    42 issues have been successfully integrated with 5 rejected and 1 delayed. That is 89% success - better than the week before with 22 issues with 6 rejected and 0 delayed and 79% success.

    Notes:

    As announced by Michael last week, code freeze starts for Moodle 2.8 on Monday so please submit any new feature or improvements for integration before then.

    If you are able to peer review an issue waiting in the next few days we can ensure no valuable contributions are lost by the freeze deadline. (If you don't have permission to send for integration, feel free to ping people loudly).

    A few changes have landed to improve CiBot in the last few weeks. The coding style report format was improved (MDLSITE-3422), in progress branches will now be checked with up to 100 commits (MDLSITE-3420) and Moodle phpdocs checker now does not complain about plain test methods (MDLSITE-3282), finally documentation was added to explain the short git commit message first line length. Further work continues in MDLSITE-3267 subtasks and elsewhere.

    Apologies for the lack of update last week, it was my mistake, but we've got a bumper update today. smile

    Finally the iTeam wish Eloy and his family good luck in their move to a new house next week!

    Hot topics:

    • MDL-3034 - Multiple choice in choice
    • MDL-43566 - Restore the edit icons on course search lists
    • MDL-10971 - Multiple choice questions inside a Cloze question now respect the quiz's shuffle answers option
    • MDL-47276 - Quiz overdue handling now defaults to auto-submit
    • MDL-32275 - Course enrolment screen displays last access to the site not the course
    • MDL-37707 - Assignment now prevents changes to group submissions if assignments already submitted
    • MDL-36929 - Full report of recent activity new indicates new discussions
    • MDL-42974MDL-47380 - IE8 compatibility fixes
    • MDL-40356 - Additional name fields can now be configured to be displayed to users with the viewfullnames capability

    Warm thanks:

    To Jean-Michel Vedrine, for amazing contributions to questions, lesson and persevering with our increased requirements on code contributed to Moodle core.  À votre bon cœur !

    ลาก่อนนะ

    Dan

    Dan at desk in Moodle HQ, Perth
    Integration round 2014-09-18 - independent of bots
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    21 issues have been successfully integrated with 2 rejected and 0 delayed. That is 91%, better than last week, but lets get more of the 30 issues waiting for peer review sent to integration!

    Notes:

    • Lots of work continues in improving the gradebook with the Moodle HQ teams, after a number of different gamification plugins being produced in the project week.
    • This week saw the introduction of a string deprecation process for use on master. Please consider helping our translators lives easier by trying to use this process to get rid of unused strings.
    • CiBot has been trained in the art of inspecting our commit messages and upgrade steps (MDLSITE-1990), see Automated code review docs for further details.

    Hot topics:

    Warm thanks:

    • To Andrew Davis, for many years of Moodle bug fixing and now stepping over to help us in the community sites team! smile

    Beijos,

    Dan

    One poor developer...
    Integration round 2014-09-11 - enthusiasm moves the world
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    24 issues have been successfully integrated with 7 rejected and 0 delayed. That is 77.42%, we need to improve.

    Notes:

    • Carried from previous week, we must get these decided:

    • There are 30 issues awaiting peer-review, let's aim to process as many as possible.

    • The prototypes site is up and running some of the features planned for next release. Feel free to participate, review, discuss about any of them.

    Hot topics:

    • MDL-46997 - better calculation of sums of grades with hidden items.
    • MDL-46428 - remove confirmation on duplicate activity.
    • MDL-43739 - course custom sort order in the /my page improved.
    • MDL-45602 - behat cohort members generators.

    And lots more in gradebook, themes, backup, web services...

    Warm thanks:

    • To Matthew Spurrier, our system admin @ Moodle HQ. For keeping the machinery working 24x7, supporting (suffering) us and being such a cool guy, thanks!

    Ciao all, stronk7 smile

    One poor developer...
    Integration rounds 2014-08-29 & 2014-09-05 - to teach is to learn twice
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    29th August: 27 issues have been successfully integrated with 8 rejected and 0 delayed. That is 77.14% success, tricky week.

    5th September: 28 issues have been successfully integrated with 3 rejected and 0 delayed. That is 90.32% success, great one!

    Notes:

    • First of all, I would like to apologise for the delay, I missed last week post completely.

    • New minor releases 2.5.8, 2.6.5 and 2.7.2 will be available in hours, big thanks to everybody for all the hard work fixing, tidying and improving Moodle.

    • We are just 2 months away for the next major release, Moodle 2.8 and there are some important days to remember:

      • 2 weeks until 22th September: Major new features are demoable.
      • 4 weeks until 6th October: Code freeze (no new features are accepted).
      • 5 weeks until 13th October: QA begins.
      • 9 weeks until 10th November: Planned Moodle 2.8 release day.
    • We should be able to get these decided, ideally this week:

    Hot topics:

    • MDL-44725: Bye, bye groupmembersonly!
    • MDL-46235: Problems with InnoDB tables having many varchar/text columns.
    • MDL-46191: Gradebook history report.
    • MDL-39929: Allow attachments of files for students to use.

    And lots more in themes, scorm, gradebook, administration, questions...

    Warm thanks:

    • To Henning Bostelmann, from the University of York. For his effort with Moodle, both within core and producing plugins. You rock!

    Ciao all, stronk7 smile

    Me!
    Integration round 2014-08-21 : its my birthday and I'll code if I want to!
    Group Core developersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    38 issues have been successfully integrated with 3 rejected and 1 delayed. That is 93% success, give yourselves a pat on the back!

    Notes:

    • Moodle is 12!!!!! (and someone else had a birthday - not me)
    • Atto has autosave. Try it right now on the QA test site.
    • Gradebook push is on right now with many bug fixes, simplifications and a new aggregation method to rule them all Natural weighting

    • Heads up: We are 2 weeks away - September 8th - for next minor releases so, please, submit your important fixes for stables ASAP.

    Hot topics:

    • MDL-46545 - Weekly stats breaking after MDL-41284
    • MDL-43197 - Parent role only sees course total and no longer individual grades
    • MDL-45874 - Issue with navigation/access to individual user activity reports, particularly by non-editing teachers in separate groups.
    • MDL-18014 - Automatically and periodically save WYSIWYG editor content as a draft/concept
    • MDL-46706 - Library: API to get cm_info more easily

    And lots more in Scorm, Forum, Gradebook, LTI ....

    Warm thanks:

    Dan Marsden and Tim Hunt for resolving the most issues in the last month (the integration monster needs to be fed!).

    Cheers, Damyon

    Picture of Marina Glancy
    Integration round 2014-08-14 : gradebook and atto
    Group Core developersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    32 issues have been successfully integrated with 5 rejected and 4 delayed. That is 86% success.

    Notes:

    • Good news for everyone, as part of Gradebook Push (MDL-44673) Moodle not only introduces new functionality and UI but also fixes the gradebook issues in stables, don't forget to update to the latest weeklies!
    Hot topics:
    • MDL-35984 - Gradebook Sum of grades shows wrong total if items are hidden
    • MDL-45780 - Neither formchangechecker, nor quiz autosave detects changes in Atto editors
    • MDL-46748 - Mathjax default SSL CDN address is down causing atto to fail to load
    • MDL-43824 - Fix alignment in Gradebook in Clean theme
    • MDL-30668 - No more exceptions when collapsing categories in Gradebook

    Warm thanks:

    • To Willy Lee for being very active on tracker by reporting issues and fixing them
    Cheers,
    Marina
    Picture of Marina Glancy
    Integration round 2014-08-07 : the calm before the storm
    Group Core developersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    16 issues have been successfully integrated with 6 rejected. That is 70% success.

    Notes:

    • Very quiet week since HQ devs are heavily involved in big projects from Gradebook Push (MDL-44673) which have not reached integration stage yet.
    Hot topics:
    • MDL-46548 - Improved interface for export of grades
    • MDL-39840 - Add ability to check environment before installing plugins
    • MDL-46414 - Conditional availability: Dropdowns not set correctly when editing in IE
    • MDL-41639 - Auto create Cohorts when they don't exist in CSV upload

    Warm thanks:

    • To Moodle mum for wonderful ginger buiscuits and other yummy things she spoils HQ office with
    Cheers,
    Marina
    Dan at desk in Moodle HQ, Perth
    Integration round 2014-07-31: the macarena
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    30 issues have been successfully integrated with 4 rejected. That is 88% success.

    Notes:

    • The quiet summer period continues this week, but work is starting to come through on the Gradebook Push (MDL-44673) and Navigation Overhaul (MDL-45774).
    • Have you seen this month's featured plugin? Head over to the plugins traffic forum to see a super interesting story of Gordon Bateson and how hotpot came to be!

    Peer review:

    There are currently 22 issues waiting for peer review - lets not fall behind!

    Hot topics:

    • MDL-8501 - Added proceed to next thread link to forum
    • MDL-34189 - Make category cohorts visible sitewide for site administrators
    • MDL-43390 - Cannot upload files in certain cloud hosting environments
    • MDL-46397 - Progress through a SCORM activity is not tracked

    Warm thanks:

    • To Matthew Davidson for many useful patches and improvements to Moodle, thanks!

    Namaste,

    Dan

    Dan at desk in Moodle HQ, Perth
    Integration round 2014-07-24: Summer break
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    24 issues have been successfully integrated with 5 rejected. That is 83% success.

    Notes:

    • On Tuesday a General Developer Meeting was held with a nice run through of creating an Atto plugin by Justin Hunt as well as information about some current developments taking place in Moodle HQ
    • We've reached a quiet period of integration over the last few weeks - despite many Moodle developers residing in the southern hemisphere - it seems everyone is taking a 'summer break' :P
    • Our automated testing bot CiBot has been improved and now states the results of code checks more clearly. Anyone is welcomed in helping us improve our documentation on the bot or suggest new checks.

    Peer review:

    There are currently 27 issues waiting for peer review - lets not fall behind!

    Hot topics:

    • MDL-46159 - Course search reinstated in the course management interface
    • MDL-44925 - SVG Support added to to TeX Filter
    • MDL-37509 - Description of assignment will no longer show in calendar when "always show description" = NO
    • MDL-46017 - Assignment Allocated Marker and Marking Status are now restored from backup

    Warm thanks:

    • Brian Barnes (Totara) for a lot of important accessibility fixes and improvements - thanks!

    ciao Dan

    Dan at desk in Moodle HQ, Perth
    Integration round 2014-07-03 - It's raining, of course
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    24 issues have been successfully integrated with 5 rejected. That is 83% success.

    Notes:

    • This week Damyon and Raj attended the Australian Moodle Moot along with a number of other Moodle HQ staff. They came back inspired and energised. Thanks to those from the community who also attended for sharing your feedback and energy, its made its way back to Europe!
    • The integration team are currently considering policy for coding style changes, please comment on MDL-43233 if you are interested in this area.
    • Some discussions currently ongoing about Moodle 2.8:  disabling loginhttps (with preference to switching to site-wide https),  elements and the element library and more on the Future major features forum.

    Peer review:

    There are currently 18 issues waiting for peer review - lets not fall behind!

    Hot topics:

    • MDL-40457 - Question Bank - Allow plugins to add columns to question bank view
    • MDL-42071 - Support for split memcache/memcached stores
    • MDL-46161 - File deletion very slow with large number of file records

    Warm thanks:

    • To Skylar Kelty (University of Kent) - for many important bug reports and patches, thanks!

    ciao

    Dan

    One poor developer...
    Integration round 2014-06-26 - butterflies in the stomach
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    39 issues have been successfully integrated with 8 rejected and 2 delayed. That is 82.98% success, slightly under average.

    Notes:

    Hot topics:

    • MDL-43835 - New, unique DB sequences for each unit/acceptance test.
    • MDL-1626 - Forum per discussion subscriptions, finally!
    • MDL-44124 - Better import of ical recurring events.
    • MDL-45985 - New script to validate database schemas.
    • MDL-45445 - Better validation of events for correctness.

    And lots more in the Atto editor, the Events API, Quizzes, Administration, LTI, Backup & restore...

    Warm thanks:

    • To Darko Miletić, from Moodlerooms. Tireless, clever and speaks Spanish (that's specially important for me). Thanks for all your hard work with Moodle since years ago!

    Ciao all, stronk7 smile

    Me!
    Integration round 2014-06-19 (and 2014-06-13)
    Group Core developersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    2014-06-19

    22 issues have been successfully integrated with 4 rejected and 0 delayed. That is 84% success, nice!

    2014-06-13

    27 issues have been successfully integrated with 6 rejected and 0 delayed. That is 81% success!

    Notes:

    • Martin is back from the Moodlemoot in France
    • Dev teams are halfway through sprint 1
    • Moodle 2.8 requirements need deciding - please comment on MDL-45504

    • You really really can reply to these posts if you want to!

    Hot topics:

    • MDL-45941 - allow message sending when DB transaction active
    • MDL-45901 - Random question category question are not visible, in RTL mode
    • MDL-45582 - Apply grades and feedback to entire group does not work with Annotate PDF feature
    • MDL-42531 - Cancel buttons on batch marker allocate and workflow state pages still save changes
    • MDL-31998 - Feedback depend questions bug

    And lots more in libraries, quiz, acceptance tests...

    Warm thanks:

    Thanks, Damyon

    (Edited by Damyon Wiese - original submission Monday, 2 June 2014, 8:39 AM)

    One poor developer...
    Integration round 2014-05-29 - better late than never
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    22 issues have been successfully integrated with 3 rejected and 0 delayed. That is 88% success, good one!

    Notes:

    • This has been the 3rd (and final) week under the on-sync period. So, now, we are back to normality, branches can diverge and all the held issues since freeze will find their way upstream.

    • Moodle 2.5.x has fallen out of support for general fixes and we only will be accepting security and dataloss issues (until 10 November 2014).

    • The Roadmap for Moodle 2.8 has been defined, with interesting dates and main areas. Please, aim to have any new development pretty ready to be shown and considered at least 2 weeks before hard freeze (22 September 2014).

    • Please, visit MDL-45504 and comment about any potential requirement change to be considered for Moodle 2.8. By default, 2.7 ones will be applied.

    • Join to the ongoing threads about reports, navigation or the elements library. It's the moment to discuss about them.

    • Little detail, did you know that these posts can be replied? Of course, only if you've something positive and constructive to say, be warned, Tim, LOL. Jokes aside, feel free, you (all) are welcome.

    Hot topics:

    • MDL-45682 - Cannot insert images in the (Atto) editor.
    • MDL-45698 - Fix all behat branches to make them immune to upstream bugs/incompatibilities.
    • MDL-45607 - Incorrect context passed to the user_profile_viewed event.
    • MDL-44014 - Errors loading the site admin menu.
    • MDL-45660 - Quiz question analysis leads to fatal error

    And lots more in assignments, events api, questions, acceptance tests...

    Warm thanks:

    • To David Monllaó. He has been in charge of building and organizing the complex world of acceptance & performance testing for Moodle. Hard work, great achievement and thanks for all the, many times, under the scene, continue efforts, towards getting it to its current level. We'll miss you with your move to the development backend team (2m away from us, yay, lol).

    Ciao all, stronk7 smile

    One poor developer...
    Integration round 2014-05-22 - sync your souls
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    58 issues have been successfully integrated with 7 rejected and 0 delayed. That is 89% success, well done!

    Notes:

    • This has been the 2nd (of 3) weeks under the called "on-sync" period. So the gates will be open soon for all your new and crazy stuff.
    • Today, integrators have had the 2nd session of our retrospective meeting. Hopefully we won't need more than 5 or 6 sessions to complete it. Tons of thoughts, POVs, tasks... but worth noting that, overall, the consensus is that the progress towards 2.7 has been more organized, more in time, more focussed than ever, so congrats to everybody that was part of any aspect of it.
    • Of course, there are still some areas requiring a bit of love and dedication, especially peer-review. We hope to come with some practical ideas/proposals about that soon.
    • Also, after some indecision and long discussions we have agreed about to move away from the currently vague end of support dates (they are right now "months") and often it's not clear what they mean (point release, next point release, end of month...) both for developers and for us. So, starting with 2.6 and upwards we are moving to this simple and accurate definition:

      "End of support, both general and security, happens the 2nd Monday of May and November, no matter the major release is delayed or no."

      This will be moved to the Docs and applied to 2.6 and upwards (of course observing the 12mo, 18mo... periods).

    • We are (only) 1.5y away from Moodle 3.0. If I was you, I'd start thinking... personally I'd love to see a evolutive revolution. What's that? Don't know (yet), but like the terms-mix. wink
    • More coming soon...

    Hot topics:

    • The Tracker is down, so the only hot topic is to try to get it back ASAP. I'd blame Java, but prefer to blame Jira (matter of preferences).

    Warm thanks:

    • To the unique, genuine and never repeatable Dan Poltawski. Just give me 3 like him and we'll move the World. Am I exaggerating? Surely, but I can. Many thanks for all the hard work and, simply, don't change ever. AU HQ will miss you for sure but I'll be happier having you nearer my TZ @ UK, lol. Have a nice trip!

    Ciao all, stronk7 smile

    Me!
    Integration round 2014-05-15: Moodle 2.7 is here
    Group Core developersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers (last round):

    6 issues have been successfully integrated with 2 rejected and 1 delayed. That is 75% success, really we had a quiet week after release.

    Some more numbers since the last update:

    51 issues have been successfully integrated with 2 rejected (96% success).

    Notes:

    • Moodle 2.7 is out of the oven - get a hot steaming copy now!
    • Planning for Moodle 2.8 is underway - expect some discussions in the developers/new features forums soon
    • We are in the on-sync period for 2.8. This means identical patches will be applied to both Moodle 2.7 and 2.8 for the next few weeks (no new features yet).

    Hot topics:

    Warm thanks:

    • Everyone involved in the release of Moodle 2.7 - this means students, teachers, admins, devs, testers, docs writers, translators, partners and Martin. It really is a great release we can be very proud of
    • Eloy for doing 1000 behind the scenes jobs that made this release so smooth for the rest of us

    Cheers, Damyon

    Dan at desk in Moodle HQ, Perth
    Integration round 2014-05-02: 2.7 Release Candidate 1
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    34 issues have been successfully integrated with 5 rejected. That is 87% success. (And in the rounds we missed since our last update, 156 issues have been succesfully integrated with 18 rejected.)

    Notes:

    • Last Friday saw the release of Moodle 2.7-rc1. Testing continues for the next week and we look on target to release 2.7 on schedule. smile
    • We would like to call out to you! If you have a Moodle site with real data and can spare time, now would be an excellent time to carry out a test upgrade of your site and help us iron out any niggles that might remain in these final days.
    • In the iTeam there is a strong feeling that this release has really started to reap the rewards of our automated acceptance test coverage. If you have contributed tests in Moodle 2.7, give yourself a pat on the back! It only gets better from here, but there is plenty more work to do, so if you haven't looked at behat yet now is a great time to learn!
    • As tends to happen in this time building up to release the integration team have been frantically integrating, testing and not posting these updates as often as we'd like. Apologies for the interuption in sevice!

    Peer review:

    There are currently 22 issues waiting for peer review - lets not fall behind!

    Hot topics:

    • MDL-45250 - add_to_log() was deprecated and now throws a debugging notice
    • MDL-44780 - Mathsjax filter is now enabled by default
    • MDL-41975 - Alfresco repository now supports newer versions

    Warm thanks:

    • To Matteo Scaramuccia, who is quietly helping many many people in tracker issues far and wide each day. Thank you, Moodle is much better with your contributions!

    ciao Dan

    Dan at desk in Moodle HQ, Perth
    Integration round 2014-04-11: 2.7-beta
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    72 issues have been successfully integrated with 18 rejected. That is 80% success.

    Notes:

    • 2.7 code freeze has started. smile
    • 2.7 beta has been released. smile smile
    • 2.7 QA testing has started smile smile smile
    • Last week we brought in all 'waiting for peer review' issues into integration to try and prevent important issues from getting missed. Please help us avoid needing to do this in future!
    • Some interesting discussions have been happening no the general developer forum about the peer review process and code freeze, add your views to the discussion!

    Hot topics:

    • MDL-44070 - Conditional availability: Enhancements including OR conditions, plugins
    • MDL-22999 - Allow maximum points for graded activities to exceed 100
    • MDL-33486 - Individual Wiki search fixed
    • MDL-31679 - Add a horizontal scroll bar to the top of the gradebook Grader Report

    Warm thanks:

    • To Ashley Holman - a long lost bug fix from Ash landed this week - thanks for your many Moodle contributions over the years!

    beijos Dan

    Picture of Marina Glancy
    Integration round 2014-04-03 - very hot and almost freezing
    Group Core developersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    60 issues have been successfully integrated with 8 rejected and 1 delayed. That is 88% success, busy week.

    Notes:

    • ONE last week remaining before the 2.7 freeze.
    • SIX MONTHS before the 2.8 freeze, time to start developing new awesome features!

    Hot topics:

    • MDL-30085 - Webservices to retrieve and update grades
    • MDL-35305 - Backup and restore of images embedded in wiki
    • MDL-28261 - SCORM session test to detect network failure
    • MDL-44862 - Postgres dbport is no longer discarded when dbsocket is used (admins, check your connection settings!)

    Warm thanks:

    • To Moodle community for reporting bugs, providing patches, voting on issues and talking on forums. It's you who make the project going.

    Have a great weekend, Marina

    One poor developer...
    Integration round 2014-03-27 - spring up
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    36 issues have been successfully integrated with 7 rejected and 1 delayed. That is 84% success, not bad at all.

    Notes:

    • Stuff for Moodle 2.7 is landing at good pace. There are still 2 integration cycles (weeks) remaining where new features and improvements will be considered, analyzed and, potentially, integrated. Then freeze will happen, nothing new will be accepted, and everybody will be 100% concentrated on testing and bug fixing aiming to release.
    • This week a new CI (continuous integration) server has got the baton, and soon will completely replace the old one. It's bigger, faster and prettier, sure it will give us enough power to automate and to improve various checks and tests, making life a bit easier to everybody.
    • Soon after the freeze, a new QA cycle will begin. Human collaboration will be requested, both to run a set of MDLQA manual tests and to cover as many OS/PHP/Database/Browser combinations for both our unit and acceptance tests.
    • For people needing to move stuff (self organization), the Moodle 2.8 version has been already created in the Tracker. In the same direction, but for use by Moodle HQ, in order to determine which issues are a must before release, the Moodle "mustfix" 2.7 version has been created too.
    • Issues to peer-review are stagnating, 45 right now, any help will be welcome in that area. TIA!

    Hot topics:

    • MDL-43784 - Phase out old themes, only base and canvas are kept to provide BC compatibility. The move to Bootstrap is now complete.
    • MDL-43786 - Introducing and improving "more" a new bootstrap-base theme, highly configurable and including a on-the-fly less compiler embed.
    • MDL-44316 - Normalization of the "tag" API to use component and context like many other sister APIs.
    • MDL-44510 - Add support to PHPUnit 4. Composer will be the (only) way to run unit tests from now.
    • MDL-44084 - Meet atto, the new HTML editor for Moodle 2.7
    • And lots more, specially in the area of logging where a lot of reports, calls and uses of the old logs are being replaced by the new counterparts.

    Warm thanks:

    • To Moodle's HQ Frontend Team, and by extension, to everybody involved in the big transformation that is happening. Moodle never looked so nice and coherent, so accessible and usable. Thanks for your love to the details! No matter of that, please, don't sleep now, there are lots to do! (ROFL)

    Ciao all, stronk7 smile

    Picture of Marina Glancy
    Integration round 2014-04-20 - new moodlers
    Group Core developersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    50 issues have been successfully integrated with 8 rejected and 3 delayed. That is 86% success.

    Hot topics:

    • MDL-29807 - Webservice add admin page: should be able to enter the unique shortname of a service
    • MDL-41115 - Use email as login
    • MDL-39568 - Using marking guide students do not see marks in the guide before grading

    Warm thanks and welcome:

    • Moodle HQ welcomes new developers Jetha Chan and Simey Lameze. Jetha has already fixed an installation bug. Good start guys and thanks for making Moodle better!

    Cheers, Marina

    Dan at desk in Moodle HQ, Perth
    Integration round 2014-04-14 - Given the following "code freeze" exists
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    35 issues have been successfully integrated with 9 rejected and 5 delayed. That is 79% success.

    Notes:

    • 2.7 code freeze is only 3 weeks away (7th April 2014).
    • Some discussions are happening in MDL-44357 about the future of theme_clean and LESS compilation from PHP. Please join the discussion if you have useful information to add.

    Peer review:

    There are currently 41 issues waiting for peer review - its clear we're falling behind there. Please help a fellow developer by reviewing their changes!

    Hot topics:

    • MDL-43721 - Performance improvements in assignment grading
    • MDL-43236 - Behat grammar improvements
    • MDL-43497 - Allow course language to be overridden for roles with a given capability

    Warm thanks:

    • To Juan Leyva, for his work on Moodle Mobile, webservices and a number of Add-ons!

    beijos Dan

    One poor developer...
    Integration round 2014-03-07 - final countdown
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    38 issues have been successfully integrated with 8 rejected and 2 delayed. That is 83% success, not bad.

    Notes:

    • 3 minor releases are coming next Monday (Moodle 2.4.9, 2.5.5 and 2.6.2).
    • 2 weeks for 2.7 full demo of new features (March 24th).
    • 1 day for Jerome to leave us. We'll miss you, man!
    • 0 more things to say, countdown finished.

    Hot topics:

    • MDL-41266 - Logging interfaces have landed, now reports will begin to use them.
    • MDL-43635 - Better handling of custom context levels.
    • MDL-43738 - Normalize Behat forms handling.
    • MDL-44361 - Yui updated to 3.15.0
    • And lots more, including security fixes for the incoming releases, and solutions in areas like quizzes, themes, libraries, glossaries...

    Warm thanks:

    • To Michael Milette, for his collaboration and help in the Tracker, proposing and solving multiple accessibility issues. Thanks!

    Ciao all, stronk7 smile

    Me!
    Integration Round - 2014-02-28
    Group Core developersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    41 issues have been successfully integrated with 10 rejected and 0 delayed. That is 80% success, great (but Sams is still skewing the counts with phpdocs fixes).

    Notes:

    Hot topics:

    • MDL-25505 - Scheduled tasks / Parallel cron
    • MDL-41767 - plugins unable to provide "bootstrapbase" or "clean" styles
    • MDL-44269 - Change location of navbar (breadcumb) to below logo in Clean theme.
    • And lots more in accessibility, testing, javascript and phpdocs

    Warm thanks:

    • Daniel Neis for reporting, fixing and following up on issues right across Moodle. Thankyou, please do more of that!

    Cheers, Damyon

    Me!
    Integration round 2014-02-21 - What you think you become
    Group Core developersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    74 issues have been successfully integrated with 7 rejected and 0 delayed. That is 90% success, great (but all Sams issues fixing phpdocs have skewed this week).

    Notes:

    • There is a 2.4 release this week because we were convinced to backport some non-security - but nasty data-loss bugs for the quiz backup/restore
    • Up for review next week is - Parallel cron aka scheduled tasks (MDL-25505).
    • Work is continuing on Atto (the new text editor), Logging and Clean as the default theme - expect to see them integrated in the coming weeks.
    • Do you have some spare minutes and some knowledge? Take a look to this list of issues waiting for peer review and let's reduce it to zero.

    Hot topics:

    • MDL-27414 - Upgrade the randomsamatch question type to the new question engine
    • MDL-44018 - variant field of question_attempts table is not getting backed up by Moodle backup
    • MDL-42618 - Importing Grades via CSV with blank or whitespace as useridnumber
    • MDL-43504 - Collapsable courses and categories don't work (combo list??)
    • And lots more in quiz, themes, events, and phpdocs

    Warm thanks:

    • To our newest iTeam member Rajesh Tanaja, for jumping enthusiastically into our testing team with David and becoming a Jenkins Jedi.

    Cheers, Damyon

    One poor developer...
    Integration round 2014-02-13 - time to learn
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    29 issues have been successfully integrated with 7 rejected and 3 delayed. That is 81% success, not bad.

    Notes:

    • After some good discussions here and there it seems that, soon, we'll be able to have namespaces under control. Once everything gets reviewed and decided, they will be added to out coding style guidelines.
    • Some awesome developments are happening under the scene, into some big development branches, it's time to learn about events (since 2.6), loggingatto and conditional availability enhancements, all them important goals for Moodle 2.7. Read the specs, look at the issues, discuss in forums, now it's the time!
    • Do you have some spare minutes and some knowledge? Take a look to this list of issues waiting for peer review and let's reduce it to zero.

    Hot topics:

    • MDL-42882 - Performance improvement on upgrade when handling files.
    • MDL-40938 - Login block using the clean theme.
    • MDL-44029 - Quiz user overrides being deleted incorrectly.
    • MDL-43200 - Fixes to manual enrolment web services.
    • MDL-32724 - LDAP fixes when updating user information.
    • MDL-43804 - Move from r0, r1 css alternate styling to newer, widely supported, nth-* selectors.
    • And lots more in themes, ajax, quiz, backup, accessibility, installation...

    Warm thanks:

    • To Justin Filip, for his continuous collaboration and help everywhere. His, always, cool mood and wise words are really welcome, thanks!

    Ciao all, stronk7 smile

    Sam Hemelryk
    Integration round 2014-02-07 - another week gone
    Group Core developersGroup Plugin developersGroup Testers
    Cold numbers:

    A total of 38 issues have been integrated this week, 6 have been reopened, and 7 have been delayed. That is a 87% success ration, up on last week.
    Delays this week were due to chained issues where a preceeding issue has been reopened, leaving the chain broken until the issue is fixed and looked at again next week.

    Notes:

    The file lib/tests/code_test.php was removed this week, its purpose was to sanity check our code and as part of its process it checked certain conventions. Tim Hunt made a very good point that conventions can be very useful during development. For example DONOTCOMMIT, it can be easily added via macros or hotkeys within your IDE, and if you set up a git commit hook to look for it you can prevent yourself from accidentally committing something you're not meant to.
    David Mudrak has provided an example of how to handle create such a hook see the commit message and I've created an example myself to see how it works.

    Hot topics:
    • MDL-38923 Clean theme now supports the dock in master. If you'd like to see this backported please vote on MDL-43995. Thanks Bas.
    • MDL-39617 We have a new CLI script that is used to backup a single course. Thanks Ruslan.
    • MDL-43592 We've now got a means of patching YUI when we need to without hitting caching issues.
    • Several Quiz and question improvements from Jamie Pratt.
    Warm thanks:
    Jamie Pratt for his work on Quiz this week, and because we just couldn't get through all the great work he's put forward. Thanks Jamie. Thamie.

    Regards
    Sam Hemelryk
    Picture of Marina Glancy
    Integration round 2014-01-31 - new look of moodle.org
    Group Core developersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    26 issues have been successfully integrated with 7 rejected. That is 79% success.

    Notes:

    • If you use PhantomJS for behat tests please be aware of the new tag to exclude (details)

    Hot topics:

    • MDL-25500 - Moodle now has a locking framework
    • MDL-34055 - we now have a way to bulk insert through dml
    • MDL-43761 - database installation performance improvements
    • MDL-43040 - please upgrade your module version.php scripts to use $plugin instead of $module if they aren't already

    Warm thanks:

    Dan at desk in Moodle HQ, Perth
    Integration round 2014-01-23 - el pendeho volvió
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    45 issues have been successfully integrated with 13 rejected. That is 78% success.

    Notes:

    • This week we welcomed Rajesh Taneja to the iTeam, helping us on our testing effort! Welcome Raj, great to have you on board!
    • We gave an update at the General Developer Meeting on Tuesday - the recording is now available for your viewing plesaure!
    • CiBot has transitioned off its baby food of SHA1 hashes and now is eating branches whole

    Peer review:

    There are currently 24 issues waiting for peer review - its clear we're falling behind there. Please help a fellow developer by reviewing their changes!

    Hot topics:

    • MDL-26680 - MyMoodle reset to default button
    • MDL-41688 - Gradebook improvements in bootstrap based themes
    • MDL-32523 - Ability to duplicate questions in the question bank

    Warm thanks:

    • To Martín Langhoff, returning to the Moodle moodle community after a honeymoon in OLPC. Welcome back, we look forward to rejecting your patches soon. tongueout

    beijos Dan

    One poor developer...
    Integration round 2014-01-17 - the gates are open
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    48 issues have been successfully integrated with 7 rejected and 0 delayed. That is 87% success, well done!

    Notes:

    • After releasing some minor versions this week, here we go, a full-two-months-period where, apart from bug-fixing, everybody will be pushing hard in the construction of Moodle 2.7 (coming in May!).
    • Don't forget the next online Developer Meeting, sure it's plenty of exciting stuff.
    • Meet CiBoTYou will love (or hate) it. Feelings will grow exponentially along the next weeks. Guaranteed!

    Hot topics:

    • MDL-43664 - Javascript IE < 8 fixes.
    • MDL-33952 - The new assignment module, able to restore instances of the old one.
    • MDL-40705 - Clean theme navigation menu fixes.
    • MDL-43524 - Old DB text caching dropped (2.7 and upwards).
    • MDL-43439 - Option to take screenshots on acceptance tests failures.
    • And lots more in themes, ajax, scorm, gradebook, asignment, logging...

    Warm thanks:

    • To Petr ŠkodaAndrew Nicols and Mark Nelson for being the current top peer-reviewers. Many thanks for all your reviews. They are really important in the process.

    Ciao all, stronk7 smile

    PS: Yay, I did introduce the year (2014) correctly in my post. First time ever!

    Me!
    Integration round up 2014-01-10 - Happy new year!
    Group Core developersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers
    65 issues were accepted, 12 issues this week didn't quite make it (and 6 we didn't get time to look at). Thats 84%.

    Notes:

    • Minor releases next week

    Interesting happenings from this weeks run: MDL-18770 - Non-graded Assignment and Quizzes appear in the gradebook and have Max Grade assigned MDL-40551 - Support fully deleting badges MDL-42585 - Refine capabilities that permit user to see assignments and the user feedbacks without ability to grade

    Warm thanks:

    This week goes to Shamim Rezaie for visiting us in Perth! Shamim is from Iran and has been contributing to Moodle support for multiple calendar types.

    Regards Damyon

    Sam Hemelryk
    Integration round up 2013-12-24 - Merry Xmas for tomorrow!
    Group Core developersGroup Plugin developersGroup Testers
    Cold numbers:
    13 issues were integrated this week, with 4 issues being reopened. A successrate of only 76% this week, however being that it was a short week we were a little tougher than usual.

    Notes:
    • MDL-34182 - fixes to help us (or really you) avoid issues when serving content for AJAX requests.
    • MDL-41788 - custom menu language drop down breakages have been fixed.
    • Several more JS improvements have landed this week thanks to Andrew N
    • Several more assignment fixes have landed this week as well, thank you to Damyon and friends.
    Warm thanks:
    A big thank you to 2013, as this will likely be our last integration this year. Its had its up and downs but we've got there in the end. A big thank you to all those who have helped out over the past 12 months.

    Kind regards
    Sam
    Me!
    Integration round up 2013-12-20 - 'twas the week before christmas
    Group Core developersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers
    40 issues were accepted, 7 issues this week didn't quite make it. Thats 85%.

    Notes:

    • We will aim for a Tuesday release next week ahead of the Moodle HQ shutdown
    • Changes were introduced last week to add behat compatibility with phantomjs - a headless webkit browser that runs much faster. There are a couple of caveats, but I like it alot!
    • Martin posted about prototypes for new features in Moodle 2.7. This a great chance to have input into the direction of Moodle. Please try out the prototypes and fill out the surveys.

    Interesting happenings from this weeks run: MDL-43326 - Cannot start a new attempt in Assignment (based on previous one) MDL-34432 - Assignment -teachers can no longer comment inline on online text MDL-42965 - Badge cron code is very inefficient and holds up cron MDL-42931 - Decide Moodle 2.7 requirements and push them to environment.xml

    Warm thanks:

    This week goes to everyone how has already (or will soon) try out the prototypes and give us feedback.

    Regards Damyon

    Sam Hemelryk
    Integration round up 2013-12-13 - black Friday but we're all still here
    Group Core developersGroup Plugin developersGroup Testers

    Cold numbers
    49 issues made it safetly in, only 2 issues this week didn't quite make it. Nothing was delayed. Thats a very impressive 96% rate.

    Notes:

    • Christmas is nearly here, as we all enjoy the celebrations as much as you HQ will be closed from Wednesday 25th through Wednesday 1st.
    • As you're planning your new features for Moodle 2.7 don't forget to think about phpunit and behat tests to accompany them, it'd make us extra happy.

    Interesting happenings from this weeks run:

    • MDL-42625 Hardcoded behat waits have been removed, tests should be feeling faster.
    • MDL-40058 The add_to_log conversion continues on, wiki was completed this week.
    • MDL-42932 Calendar types can now be set at a site level.
    • MDL-35024 Numerous functions deprecated in 2.0 were removed.
    • Several JS blocks we converted to modules built by shifter.

    Warm thanks:

    This week goes to Jason Fowler who peer-reviewed 11 of the 49 issues that were made it through integration this week. Big thanks Jason helping to keep the development ball rolling.

    Regards Sam

    Dan at desk in Moodle HQ, Perth
    Integration round 2013-12-05 - not delivered by drones
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    59 issues have been successfully integrated with 8 rejected and 1 delayed. That is 86% success.

    Notes:

    • This week we started to accept improvements and new features into master to become Moodle 2.7.
    • We'd like to remind developers about our policy on backporting. Particularly we ask that backporting is not forgotten. At this time we are supporting 2.4.x, 2.5.x, 2.6.x and 2.7dev for general bugfixes. From January 2.4.x will enter into security-only bugfixing, but until this time we require fixes are supplies for 2.4.x too.
    • The frontend team at Moodle HQ are coming to the end of their initial planning stage for the 2.7 release and we're eagerly awaiting the publication of future plans to the community!

    Peer review:

    There are currently 27 issues waiting for peer review - its clear we're falling behind there. Please remember peer reviews if ever you can.

    Hot topics:

    • MDL-32888 - Search/filtering added to the gradebook
    • MDL-40191 - Switching role to student when viewing a hidden resource produces 'Coding error detected...' error
    • MDL-42597 - New maintenance mode countdown improvements
    • MDL-33618 - A way to hide messages that were configured to never be sent

    Warm thanks:

    • To Simon Coggins, for tackling some important work, collaborating and helping on the forums - thanks!

    ciao Dan

    Dan at desk in Moodle HQ, Perth
    Integration round 2013-11-29 - back on dry land
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    28 issues have been successfully integrated with 3 rejected. That is 90% success, hurrah!

    Notes:

    • This integration round brings to an end our on-sync period and we will begin accepting changes in master for 2.7 next week!
    • Over the last few days the integration team having our regular debrief meeting following the 2.6 release. We discussed how the release went, our internal processes, how to improve our work with developers, improve testing & quality of releases. We will spread the outcome of these discusisions over the next few weeks. We always have new things to learn and ways to improve and welcome contructive feedback about our work, so if you have suggestions on how we can improve, please do let us know!

    Peer review:

    There are currently 17 issues waiting for peer review in areas such as SCORM, grades, CSS and forms. Please help review there if you can. smile

    Hot topics:

    • MDL-42992 - SCORM window cannot be resized in IE 9
    • MDL-37016 - Problems upgrading to 2.4+ with MySQL sites
    • MDL-40741 - Behat acceptance tests updated to be less theme-dependent
    • MDL-42985 - The curl rule proxybypass is never applied
    • MDL-42508 - Module generators for scorm, imscp and folder

    Warm thanks:

    • To Barbara Ramiro, our in-house designer working hard to help us make Moodle friendlier, prettier and more elegant, one step at a time. Thanks!

    bejois Dan

    One poor developer...
    Integration round 2013-11-22 - towards 2.7
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    25 issues have been successfully integrated with 4 rejected and 0 delayed. That is 85% success, not bad!

    Notes:

    • The storm of releases has ended, finally. Congrats everybody!
    • For 2-3 weeks we'll be running the named "on-sync" period. Along it, we keep the new 26_STABLE branch and master 100%, with all the versions matching. That way, if any regression / problem is found on upgrade, we can apply the same solution for both branches easily. While we are in this period, any issue causing branches to diverge will be held for consideration once the period is over.
    • Any 2.6 regression will get priority treatment, please fill any problem you discover.
    • Soon, new proposals for 2.7 will be flooding us, feel free to comment, share, discuss any of them. Links to follow: Roadmap, Future major features.

    Hot topics:

    • MDL-42884 - Allow to delete users with invalid emails.
    • MDL-42504 - Warn the student on quiz auto-save problems.
    • MDL-42852 - Blocks disappearing in Clean theme with RTL languages.
    • MDL-42808 - Random timezone problems with scheduled backups.
    • And some more in courses, themes, scorm, administration...

    Warm thanks:

    • To the people that helped us running the Moodle 2.6 QA tests, namely (source): Adrian Greeve, AL Rachels, Andrea Bicciolo, Ankit Agarwal, Carina Martinez, Chad Outten, Dan Poltawski, David Monllaó, Eloy Lafuente (stronk7), Farhan Karmali, Fernando Rocha, Frédéric Massart, Guillermo M., Hittesh, Jasmin Klindzic, Javier Sola Aréchaga, Joe Murphy, Joseph Rézeau, Kevin Wiliarty, Lehane Boonzaaier, Lisa Caines, Mary Cooch, Michael de Raadt, Michael E, Mitchell van Gerwen, Natalia Giovagnetti, Nicolas Martignoni, Rajesh Taneja, Rossiani Wijaya, Sakshi Goel, Sam Stegers, Séverin Terrier, Stephen Bourget. Thanks!

    Ciao all, stronk7 smile

    One poor developer...
    Integration round 2013-11-15 - touching 2.6.0
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    113 issues have been successfully integrated with 5 rejected and 0 delayed. That is 96% success, wow!

    Notes:

    • First of all, welcome back, moodle.org. We have been missing you!
    • Then, after a very intense week, with everybody helping everywhere, Moodle 2.6rc1 (release candidate 1) has been tagged. And the final 2.6.0 version, built on top of it, will be released this Monday.
    • Finally, here it's a link to the Moodle 2.6.0 release testing matrix. It's the first time we run it, there are still some combinations to fix (ignore any non-firefox combination, they are not stable enough) but also shows some aspects where we are lacking testing resources (sqlsrv, windows...). We'll improve there!

    Hot topics:

    • MDL-42887 - Worth noting this. It applies some "responsive" behavior to all the labels in all the forms for all the themes in Moodle. If you find any glitch with the new behavior, please report it ASAP.
    • And lots more everywhere!

    Warm thanks:

    • To everybody involved with the Moodle 2.6.0 release in any way. You did it!

    Ciao all, stronk7 smile

    One poor developer...
    Integration round 2013-10-11 - yay, encryption!
    Group Core developersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:Image of bora-bora - near Papeete - GeoCrypt 2013

    NN issues have been successfully integrated with P rejected and Q delayed. That is R% success, good one!

    Notes:

    • Various things that cannot be shared here have happened in codebase this week.
    • One of them was pretty, pretty interesting.
    • The others, too, but in a lower degree. We'll continue informing about all them.
    • While the weather is hot here, we are 100% frozen. Only bug fixes (and goal issues) will be allowed to land. Everything else, held.
    • Still we aren't beta, but will soon. Plz, don't tell!

    Hot topics:

    • MDL-0f1db - Replacement to COCOCO and CACACA MANAGGGG pages.
    • MDL-ab88c - Improved DELETTT of XYWZ.
    • MDL-edaad - Organize KAPUTT handlers in core.
    • MDL-876bb - Problems with the PHONEXXX theme (soon to be deleted from core, be warned!).
    • MDL-1efa2 - More progresses in that BACKXXX area, big thanks to everybody involved!
    • And tons more in other areas I cannot bring more details about. Well, yes.. well, no!

    Warm thanks:

    • To X.Y. Ng , our Digital Marketing Specialist, for the huge amount of new keys to play (nobody else can deserve it more in a post like this, ROFL).

    Ciao all, shhh7 smile

    Dan at desk in Moodle HQ, Perth
    Integration round 2013-10-04 - from the hammock of development
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Whilst I sat in the hammock of development this week - Sam, Marina and Eloy have been churning through the mountain of issues and Sam Hemelryk provided me with this update through the power of telepathy[1]:

    Cold numbers: 61 issues made the cut this week with 5 being rejected and only a single issue being delayed. That is a success rate of 92.42%! great job everyone.

    Notes: Code freeze is next Monday if you haven't got your code in yet or up for integration review you had better hurry. Because of this time frame many interesting changes were accepted this week.

    Hot topics:

    • MDL-41888 Quiz statistics back-end has been moved to core, so they can potentially be reused by other activities.
    • MDL-41398 Changes to bootstrapbase and clean to better handle upgrades lead to a new layout file for those themes.
    • MDL-41848 SCORM can now be added by drag+drop.
    • MDL-41882 + MDL-41421 The site and testplan generators were backported this week to the 2.5 branch.
    • MDL-41878 When loading YUI modules we now use a shorter path, leading to a reduced number of requests on some pages.
    • Several more modules were converted to make use of the new events API.

    Warm thanks:

    This week warm thanks goes to one of our own Damyon Wiese for his awesome work on the Atto editor and continued efforts (with help from the frontend team) to polish it before release.

    [1] If only.

    Picture of Marina Glancy
    Integration round 2013-09-27 - more new features
    Group Core developersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:
    51 issues have been successfully integrated this week with 7 rejected and 5 delayed. This is 88% success rate.

    Notes:
    Lots of interesting improvements are landing now. The issues are mostly very big and integrators work 24 hours a day reviewing (and sometimes rejecting) them. But even 24h is not always enough.

    Hot topics:

    • MDL-31501 New session infrastructure - file, database and memcached storage. Thanks Petr
    • MDL-40903 Persistent cache setting renamed to static acceleration and affects data only. Thanks Sam
    • MDL-41580 Allow an imsmanifest.xml file to be selected from a file system repository and allow relative linking. Thanks Dan Marsden

    Warm thanks:

    • To David Monllao for making Moodle automated testing better and better every day!

    Regards,
    Marina Glancy

    Sam Hemelryk
    Integration round 2013-09-20 - I hope everyone had fun talking like a pirate
    Group Core developersGroup Plugin developersGroup Testers
    Cold numbers:
    34 issues have been successfully integrated this week with only 3 rejected. There were no issues delayed. Success rate was just shy of 92%.

    Notes:
    Code freeze is just around the corner. Beat the rush, get your new features and improvements up for integration now!

    Hot topics:

    * MDL-39959 The conversion of old log entries to new events continues with new module events. Thanks Ankit.
    * MDL-37148 Several new assign module webservices and overall improvements. Thanks Damyon.
    * MDL-41715 A couple of user fields have increased in length. Thanks Marina.


    Warm thanks:

    To Dan Marsden this week for his continued work on the SCORM module. An amazing effort as always thanks Dan!

    Regards
    Sam Hemelryk
    Me!
    Integration round 2013-09-13 - black friday special
    Group Core developersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    78 issues have been successfully integrated with 10 rejected and 2 delayed. That is 89% success.

    Notes:


    Only one more sprint until code freeze. Time to see what you can slip past the integrators so you can claim you are fixing bugs later smile

    Peer review:


    Thanks to Fred for making a push on peer reviews last week, but the number is creeping up again. There are 17 issues waiting for peer review.

    Hot topics:

    • MDL-18375 - Multi Calendar support
    • MDL-32862 - Links to some 1.9 resource types break after upgrade to 2.2 followed by backup and restore
    • MDL-38267 - Submit button stays active after cut-off date in Assignment

    Warm thanks:

    • To All the bots! who test our code, complain alot and keep us company in the wee hours of the mornings. We pretend we don't have favourites, but we really do: Cibot (laptop) is my favourite.

    Cheers, Damyon

    Dan at desk in Moodle HQ, Perth
    Integration round 2013-09-05 - welcome to september
    Group Core developersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    47 issues have been successfully integrated with 16 rejected and 9 delayed. That is 75% success.

    Notes:

    Code freeze is now 4 weeks away, its crunch time!

    David Monllaó has been working on improving our performance comparison and testing tools for the upcoming release, details of his plan are available in Moodle docs and he requests feedback on this proposal. Part of the work which David has already started includes building upon the work which the Sam Marshall contributed for generating large datasets for testing. Developers should be aware of the improved functionality in the tool_generator which can now generate large courses with large amounts of enrolments for testing.

    Peer review:

    There are currently 9 issues waiting for peer review, including drag and drop fixes, activity chooser subtypes and course related fixes. It's great to see the number under double figures, but lets get to zero!

    Hot topics:

    • MDL-38190 - Backup and restore now displays progress
    • MDL-41402 - Automate large site generation for testing
    • MDL-32690 - Missing 1.9 assignment types no longer prevent course restore
    • MDL-41267 - Admin tool subplugin support

    Warm thanks:

    • To Rajesh Taneja for many bug fixes, collaboration and always being willing to bring alternative points of view to technical debates, thanks!

    paalam, Dan

    Me!
    Integration round 2013-08-30 - One week before minors
    Group Core developersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    40 issues have been successfully integrated with 15 rejected. That is 73% success - up from last week.

    Notes:

    1 week remaining until the next point releases.

    Hot topics:

    • MDL-36803 - TinyMCE editor doesn't accept keyboard input on iOS6 after touch event - Note that not all iOS issues with TinyMCE are resolved yet - there is more to do.
    • MDL-41098 - Add Atto HTML editor to core (the editor formally known as contenteditable)
    • MDL-29004 - Wiki: printerfriendly view don't show / print images uploaded via html-editor.
    • MDL-41245 - Multiple issues with plugin installing, upgrading, uninstalling and reinstalling
    • MDL-41364 - Appalling apostrophe crime in moodle-core-notification

    Warm thanks:

    Cheers, Damyon

    Me!
    Integration round 2013-08-23 - Shhh! I'm hunting bugs!
    Group Core developersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

    Cold numbers:

    50 issues have been successfully integrated with 23 rejected. That is 68% success - the bar is really high and that is a good thing.

    Notes:

    2 weeks remaining until the next point releases.

    Hot topics:

    • MDL-30839 - form validation and error recovery (accessibility)
    • MDL-36002 - Move action for activities and course sections are not keyboard accessible with javascript enabled
    • MDL-38197 - Automated large-course generation for testing
    • MDL-36789 - Corrupt modinfo in course table [problem and a fix]

    Warm thanks:

    • To all addon authors for greatly enhancing the Moodle platform far beyond the standard installation.

    Cheers, Damyon

    Page: 1 2 ()